@extends('layouts.user')
@section('style')

@endsection
@section('content')

    <div class="page-body">
        <div class="row">
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-header text-center">
                        <h5 class="text-center">Plan Status</h5>

                    </div>
                    <div class="card-block">

                        <div class="card-body text-center">

                            <h3>Current Plan : {{ $user->plan->name }}</h3>
                            <br>
                            @if($user->expire_time == 1)
                                <h3>Duration Unlimited</h3>
                            @elseif (\Carbon\Carbon::now() <= $user->expire_time)
                                @if (\Carbon\Carbon::parse($user->expire_time)->diffInDays() == 0)
                                    <h3>Duration : {{ \Carbon\Carbon::parse($user->expire_time)->diffForHumans()  }} </h3>
                                @else
                                    <h3>Duration : {{ \Carbon\Carbon::parse($user->expire_time)->diffInDays()  }} - Days</h3>
                                @endif
                            @else
                                <h3>Duration Expire</h3>
                            @endif
                            @if($user->plan_status == 0)
                                <hr>
                                <a href="{{ route('chose-payment-method') }}" class="btn text-white btn-warning font-weight-bold text-uppercase btn-min-width mr-1 mb-1">Complete Payment</a>
                            @endif
                            @if ($user->up_status == 1 and $user->updateplan->price_type != 0)
                                <hr>
                                <h3>Upgrade To : {{ $user->updateplan->name }}</h3>
                                <br>
                                <a href="{{ route('chose-payment-method') }}" class="btn text-white btn-warning font-weight-bold text-uppercase btn-min-width mr-1 mb-1">Complete Payment</a>
                            @endif
                            <a href="{{ route('user-upgrade-plan') }}" class="btn text-white btn-primary font-weight-bold text-uppercase btn-min-width mr-1 mb-1">Change Plan</a>
                        </div>

                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-header text-center">
                        <h5>Signal Status</h5>
                    </div>
                    <div class="card-block">

                        <div class="card-body text-center font-weight-bold">
                            <br>
                            <h3 style="margin-bottom: 32px;">Plan Total Signal : {{ $all_signal }}</h3>
                            <br>
                            <br>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="page-body">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h5>Signal Statistic</h5>
                        <div class="card-header-right">
                            <ul class="list-unstyled card-option">
                                <li><i class="fa fa-chevron-left"></i></li>
                                <li><i class="fa fa-window-maximize full-card"></i></li>
                                <li><i class="fa fa-minus minimize-card"></i></li>
                                <li><i class="fa fa-times close-card"></i></li>
                            </ul>
                        </div>
                    </div>
                    <div class="card-block">
                        <div class="row">
                            <div class="col-md-12">
                                <!-- small box -->
                                <div class="small-box">
                                    <canvas id="lineChart" style="width: auto; height: auto"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div><!---ROW-->


@endsection
@section('scripts')

    <script type="text/javascript" src="{{ asset('assets/admin/js/Chart.min.js') }}"></script>

    <script language="JavaScript">
        displayLineChart();
        function displayLineChart() {
            var data = {
                labels: [
                    @foreach($dL as $l)
                        '{{ $l }}',
                    @endforeach
                ],
                datasets: [
                    {
                        label: "Prime and Fibonacci",
                        fillColor: "#3dbcff",
                        strokeColor: "#0099ff",
                        pointColor: "rgba(220,220,220,1)",
                        pointStrokeColor: "#fff",
                        pointHighlightFill: "#fff",
                        pointHighlightStroke: "rgba(220,220,220,1)",
                        data: [
                            @foreach($dV as $d)
                                '{{ $d }}',
                            @endforeach
                        ]
                    }
                ]
            };
            var ctx = document.getElementById("lineChart").getContext("2d");
            var options = {
                responsive: true, maintainAspectRatio: false
            };
            var lineChart = new Chart(ctx).Line(data, options);
        }
    </script>
@endsection