@extends('layouts.user')
@section('content')

    <div class="page-body">
        <div class="row">
            <div class="col-md-4">
                <div class="card">
                    <div class="card-content collpase show">
                        <div class="card-body">
                            <div class="card box-shadow-0">
                                <div class="card-content collpase show">
                                    <div class="card-body text-center">
                                        @php $paymentMethod = \App\PaymentMethod::findOrFail($payment->payment_id)@endphp
                                        <h3 class="text-uppercase font-weight-bold text-center" id="horz-layout-basic">{{$paymentMethod->name}}</h3>
                                        <br>
                                        <img src="{{ asset('assets/images/payment') }}/{{$paymentMethod->image}}" style="width:100%;" alt="">
                                        <br>
                                        <br>
                                        <a href="{{ route('chose-payment-method') }}" class="btn btn-outline-info font-weight-bold text-uppercase btn-min-width mr-1 mb-1">Another Method</a>
                                        <br>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title text-center" id="horz-layout-basic">{{$page_title}}</h4>
                    </div>
                    <div class="card-content collpase show">
                        <div class="card-body text-center">
                            <h3>Plan Name : @if (Auth::user()->up_status){{ $payment->user->updateplan->name }}@else{{ $payment->user->plan->name }}@endif</h3>
                            <h3>Plan Price : @if (Auth::user()->up_status){{ $payment->user->updateplan->price }}@else{{ $payment->user->plan->price }}@endif {{ $basic->currency }}</h3>
                            <h3>Total Price : {{ $payment->amount }} {{ $basic->currency }}</h3>
                            @if ($payment->payment_id < 10)
                                <h3>IN USD : {{ $payment->usd }} USD</h3>
                            @endif
                            <hr>

                            @if($payment->payment_id == 1)
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <form action="{{ route('paypal-submit') }}" method="post" name="paypal" id="paypal">
                                        {{ csrf_field() }}
                                        <input type="hidden" name="custom" value="{{ $payment->order_number }}" />
                                        <br><br><br><br><br>
                                        <button class="btn btn-primary btn-lg btn-block"><i class="fa fa-paypal"></i> Pay Now</button>
                                        <br><br><br><br><br>
                                    </form>
                                </div>
                            @elseif($payment->payment_id == 2)
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <form action="https://perfectmoney.is/api/step1.asp" method="POST" id="myform">
                                        <input type="hidden" name="PAYEE_ACCOUNT" value="{{ $payment->paymentMethod->val1 }}">
                                        <input type="hidden" name="PAYEE_NAME" value="{{ $basic->title }}">
                                        <input type='hidden' name='PAYMENT_ID' value='{{ $payment->order_number }}'>
                                        <input type="hidden" name="PAYMENT_AMOUNT"  value="{{ $payment->usd  }}">
                                        <input type="hidden" name="PAYMENT_UNITS" value="USD">
                                        <input type="hidden" name="STATUS_URL" value="{{ route('perfect-ipn') }}">
                                        <input type="hidden" name="PAYMENT_URL" value="{{ route('user-dashboard') }}">
                                        <input type="hidden" name="PAYMENT_URL_METHOD" value="GET">
                                        <input type="hidden" name="NOPAYMENT_URL" value="{{ route('chose-payment-method') }}">
                                        <input type="hidden" name="NOPAYMENT_URL_METHOD" value="GET">
                                        <input type="hidden" name="SUGGESTED_MEMO" value="{{ $basic->title }}">
                                        <input type="hidden" name="BAGGAGE_FIELDS" value="IDENT"><br>
                                        <br><br><br><br><br>
                                        <button class="btn btn-primary btn-lg btn-block"><i class="fa fa-send"></i> Pay Now</button>
                                        <br><br><br><br>
                                    </form>
                                </div>
                            @elseif($payment->payment_id == 3)
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <h4 style="text-align: center;"> SEND EXACTLY <strong>{{ $usd }} BTC </strong> TO <strong>{{ $add }}</strong><br>
                                        {!! $code !!} <br>
                                        <strong>SCAN TO SEND</strong> <br><br>
                                        <strong style="color: red;">NB: 3 Confirmation required to Credited your Account</strong>
                                    </h4>
                                </div>
                            @elseif($payment->payment_id == 4)
                                <br>
                                <div class="row">
                                <div class="col-md-12 col-sm-12 col-xs-12 ">
                                    <form role="form" method="POST" action="{{ route('stripe-submit') }}">
                                        {!! csrf_field() !!}
                                        <input type="hidden" name="amount" value="{{ $payment->usd }}">
                                        <input type="hidden" name="custom" value="{{ $payment->order_number }}">
                                        <input type="hidden" name="error_url" value="{{ route('chose-payment-method') }}">
                                        <input type="hidden" name="success_url" value="{{ route('user-dashboard') }}">

                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label class="col-md-12 text-left"><strong style="text-transform: uppercase;">CARD NUMBER</strong></label>
                                                    <div class="col-md-12">
                                                        <div class="form-group">
                                                            <div class="input-group">
                                                                <input type="tel" class="form-control input-lg" name="cardNumber" placeholder="Valid Card Number" autocomplete="off" required autofocus />
                                                                <span class="input-group-addon"><i class="fa fa-credit-card"></i></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label class="col-md-12 text-left"><strong style="text-transform: uppercase;">EXP MONTH</strong></label>
                                                    <div class="col-md-12">
                                                        <input type="tel" class="form-control input-lg" name="cardExpiryMonth" placeholder="MM" autocomplete="off" required />
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label class="col-md-12 text-left"><strong style="text-transform: uppercase;">EXP YEAR</strong></label>
                                                    <div class="col-md-12">
                                                        <input type="tel" class="form-control input-lg" name="cardExpiryYear" placeholder="YYYY" autocomplete="off" required />
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label class="col-md-12 text-left"><strong style="text-transform: uppercase;">CVC CODE</strong></label>
                                                    <div class="col-md-12">
                                                        <input type="tel" class="form-control input-lg" name="cardCVC" placeholder="CVC" autocomplete="off" required/>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <button class="subscribe btn btn-primary btn-lg btn-block" type="submit">Pay Now</button>
                                        </div>
                                    </form>
                                </div>
                                </div>
                                <br>
                            @elseif($payment->payment_id == 5)
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <form action="https://www.moneybookers.com/app/payment.pl" method="post">
                                        <input type="hidden" name="pay_to_email" value="{{ $payment->paymentMethod->val1 }}"/>
                                        <input type="hidden" name="status_url" value="{{ route('skrill-ipn') }}"/>
                                        <input type="hidden" name="language" value="EN"/>
                                        <input name="transaction_id" type="hidden" value="{{ $payment->order_number }}">
                                        <input type="hidden" name="amount" value="{{ $payment->usd }}"/>
                                        <input type="hidden" name="currency" value="USD"/>
                                        <input type="hidden" name="detail1_description" value="{{ $site_title }}"/>
                                        <input type="hidden" name="detail1_text" value="Plan Charge For - {{ $site_title }}"/>
                                        <input type="hidden" name="logo_url" value="{{ asset('assets/images/logo.png') }}"/>
                                        <br><br><br><br>
                                        <button class="btn btn-primary btn-lg bg-softwarezon-x border-0 btn-block"><i class="fa fa-send"></i> Pay Now</button>
                                        <br><br><br>
                                    </form>
                                </div>
                            @elseif($payment->payment_id == 6)
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <br><br><br><br><br>
                                    {!! $form !!}
                                    <br><br><br><br>
                                </div>
                            @elseif($payment->payment_id == 7)
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="text-center">
                                        <h3>Current Balance : {{ Auth::user()->balance }} {{$basic->currency}}</h3>
                                        <h3>Plan Charge : {{ $payment->amount }} {{$basic->currency}}</h3>
                                        @if ($payment->amount <= Auth::user()->balance)
                                            <h3>Available Balance : {{ Auth::user()->balance - $payment->amount }} {{$basic->currency}}</h3><hr>
                                            <form action="{{ route('commission-ipn') }}" method="post">
                                                {!! csrf_field() !!}
                                                <input type="hidden" name="custom" value="{{ $payment->order_number }}">
                                                <button class="btn btn-primary btn-lg bg-softwarezon-x border-0 btn-block"><i class="fa fa-send"></i> Pay Now</button>
                                            </form>
                                        @else
                                            <h3>Current Balance Smaller then Plan Price.</h3>
                                            <hr>
                                            <button disabled class="btn btn-danger btn-lg bg-softwarezon-x border-0 btn-block"><i class="fa fa-times"></i> Can't Payment</button>
                                        @endif
                                    </div>
                                </div>
                            @else
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="text-center">
                                        <h4>Send Total Amount Following Details:</h4><br>
                                        <h3>{!! $payment->paymentMethod->val1 !!}</h3>
                                        <hr>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-8 offset-md-2">
                                            <form action="{{ route('manual-payment-submit') }}" method="post" enctype="multipart/form-data">
                                                {!! csrf_field() !!}
                                                <input type="hidden" name="payment_log_id" value="{{ $payment->id }}">
                                                <div class="form-group row">
                                                    <label class="col-md-12 label-control text-left" for="projectinput1"><b>Upload Proof Documents :  <code>Multiple Image allowed</code></b></label>
                                                    <div class="col-md-12">
                                                        <input type="file" id="projectinput1" class="form-control" name="images[]" multiple required>
                                                    </div>
                                                </div>
                                                <div class="form-group row">
                                                    <label class="col-md-12 label-control text-left" for="projectinput1"><b>Write your Message : </b></label>
                                                    <div class="col-md-12">
                                                        <textarea id="projectinput1" class="form-control" rows="4" placeholder="Write your Message" name="message"></textarea>
                                                    </div>
                                                </div>
                                                <button class="btn btn-primary btn-lg bg-softwarezon-x border-0 btn-block"><i class="fa fa-send"></i> Send Payment Request</button>
                                                <br>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection