@extends('layouts.user')
@section('content')

    <div class="page-body">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h5>{{ $page_title }}</h5>
                        <div class="card-header-right">
                            <ul class="list-unstyled card-option">
                                <li><i class="fa fa-chevron-left"></i></li>
                                <li><i class="fa fa-window-maximize full-card"></i></li>
                                <li><i class="fa fa-minus minimize-card"></i></li>
                                <li><i class="fa fa-times close-card"></i></li>
                            </ul>
                        </div>
                    </div>
                    <div class="card-block">

                        <div class="table-responsive">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                <tr>
                                    <th>SL#</th>
                                    <th>Signal Date</th>
                                    <th>Title</th>
                                    <th>Assets - Symbol - Type</th>
                                    <th>TF - Status</th>
                                    <th>Rating</th>
                                    <th>Action</th>
                                </tr>
                                </thead>

                                <tbody>

                                @php $p = 0 @endphp

                                @if (\Illuminate\Support\Facades\Auth::user()->expire_time != 1 and \Carbon\Carbon::parse(\Illuminate\Support\Facades\Auth::user()->expire_time)->isPast())
                                    <tr>
                                        <td colspan="7"><h5 class="text-center">Plan Duration is Expire, Upgrade your Plan <a href="{{ route('user-upgrade-plan') }}" class="btn text-white btn-primary font-weight-bold text-uppercase btn-min-width">Upgrade Plan</a></h5></td>
                                    </tr>
                                @elseif (\Illuminate\Support\Facades\Auth::user()->plan->dashboard_status == 0)
                                    <tr>
                                        <td colspan="7"><h5 class="text-center">Dashboard Signal Disable this Plan, Upgrade your Plan <a href="{{ route('user-upgrade-plan') }}" class="btn text-white btn-primary font-weight-bold text-uppercase btn-min-width">Upgrade Plan</a></h5></td>
                                    </tr>
                                @else
                                    @php $p = 0 @endphp
                                    @foreach($signal as $k => $p)
                                        <tr>
                                            <td>{{ $k + $signal->firstItem() }}</td>
                                            <td>{{\Carbon\Carbon::parse($p->created_at)->format('dS M, Y - h:i:s A')}}</td>
                                            <td>{{ $p->signal->title }}</td>
                                            <td>{{ $p->signal->asset->name }} - {{ $p->signal->symbol->name }} - {{ $p->signal->type->name }}</td>
                                            <td>{{ $p->signal->frame->name }} - {{ $p->signal->status->name }}</td>
                                            @php
                                                $total_signal = \App\SignalRating::whereSignal_id($p->signal->id)->count();
                                                $sum_signal = \App\SignalRating::whereSignal_id($p->signal->id)->sum('rating');
                                                if ($total_signal == 0){
                                                    $final_rating = 0;
                                                }else{
                                                    $final_rating = round($sum_signal / $total_signal);
                                                }
                                            @endphp
                                            <td>{!! \App\TraitsFolder\CommonTrait::getRating($final_rating) !!} - ({{ $total_signal }})</td>
                                            <td>
                                                <a href="{{ route('user-signal-view',$p->signal->custom) }}" class="btn btn-primary bold uppercase" title="Edit"><i class="fa fa-eye"></i> View</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                @endif

                                </tbody>
                            </table>
                        </div>
                        @if ($p)
                            {{$signal->links('basic.pagination')}}
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection