<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/',['as'=>'home','uses'=>'HomeController@getIndex']);
Route::post('/submitContact','HomeController@submitContact');
Route::post('submit-subscribe',['as'=>'submit-subscribe','uses'=>'HomeController@submitSubscribe']);
Route::get('blog',['as'=>'blog','uses'=>'HomeController@getBlog']);
Route::get('terms-condition',['as'=>'terms-condition','uses'=>'HomeController@getTermCondition']);
Route::get('privacy-policy',['as'=>'privacy-policy','uses'=>'HomeController@getPrivacyPolicy']);
Route::get('blog-details/{slug}',['as'=>'blog-details','uses'=>'HomeController@detailsBlog']);
Route::get('category-blog/{slug}',['as'=>'category-blog','uses'=>'HomeController@categoryBlog']);
Route::get('/menu/{id}/{name}','HomeController@getMenu');
Route::get('about-us',['as'=>'about-us','uses'=>'HomeController@getAbout']);
Route::get('contact-us',['as'=>'contact-us','uses'=>'HomeController@getContact']);

Route::get('email-test',['as'=>'email-test','uses'=>'HomeController@emailTest']);
Route::get('cron-fire',['as'=>'cron-fire','uses'=>'HomeController@submitCronJob']);
Route::get('cron-signal',['as'=>'cron-signal','uses'=>'HomeController@submitCronJobSignal']);
Route::get('cron-subscribe-message',['as'=>'cron-subscribe-message','uses'=>'HomeController@submitCronSubscribeMessage']);

Auth::routes();

Route::get('user-dashboard',['as'=>'user-dashboard','uses'=>'UserController@getDashboard']);

Route::get('user-edit-profile',['as'=>'user-edit-profile','uses'=>'UserController@editProfile']);
Route::post('user-edit-profile',['as'=>'user-update-profile','uses'=>'UserController@updateProfile']);

Route::get('user-change-password',['as'=>'user-change-password','uses'=>'UserController@getChangePass']);
Route::post('user-change-password',['as'=>'user-change-password','uses'=>'UserController@postChangePass']);

Route::group(['prefix' => 'user'], function () {


    Route::get('email-verify',['as'=>'email-verify','uses'=>'Auth\VerifyUserController@emailVerify']);
    Route::post('verification-submit',['as'=>'verification-submit','uses'=>'Auth\VerifyUserController@submitVerify']);

    Route::post('email-resubmit',['as'=>'email-resubmit','uses'=>'Auth\VerifyUserController@emailResubmit']);

    Route::get('phone-verify',['as'=>'phone-verify','uses'=>'Auth\VerifyUserController@phoneVerify']);
    Route::post('phone-verification-submit',['as'=>'phone-verification-submit','uses'=>'Auth\VerifyUserController@submitPhoneVerify']);

    Route::post('phone-resubmit',['as'=>'phone-resubmit','uses'=>'Auth\VerifyUserController@phoneResubmit']);

    Route::get('new-signal',['as'=>'user-new-signal','uses'=>'UserController@newSignal']);
    Route::get('all-signal',['as'=>'user-all-signal','uses'=>'UserController@AllSignal']);
    Route::get('signal-view/{id}',['as'=>'user-signal-view','uses'=>'UserController@signalView']);

    Route::get('payment-method',['as'=>'chose-payment-method','uses'=>'UserController@chosePayment']);
    Route::post('submit-payment-method',['as'=>'submit-payment-method','uses'=>'UserController@submitPaymentMethod']);
    Route::post('manual-payment-submit',['as'=>'manual-payment-submit','uses'=>'UserController@manualPaymentSubmit']);

    Route::get('upgrade-plan',['as'=>'user-upgrade-plan','uses'=>'UserController@getUpgradePlan']);

    Route::post('upgrade-plan-submit',['as'=>'upgrade-plan-submit','uses'=>'UserController@updatePlanSubmit']);

    Route::get('plan-upgrade-payment',['as'=>"plan-upgrade-payment",'uses'=>'UserController@planUpgradePayment']);

    Route::get('active-telegram',['as'=>'user-active-telegram','uses'=>'UserController@activeTelegram']);
    Route::post('active-telegram',['as'=>'submit-active-telegram','uses'=>'UserController@submitActiveTelegram']);

    Route::get('staff-request',['as'=>'user-staff-request','uses'=>'UserController@staffRequest']);
    Route::post('staff-request',['as'=>'submit-staff-request','uses'=>'UserController@submitStaffRequest']);

    Route::get('transaction-log',['as'=>'user-transaction-log','uses'=>'UserController@transactionLog']);

    Route::get('withdraw-now',['as'=>'user-withdraw-now','uses'=>'UserController@withdrawNow']);
    Route::get('withdraw-method/{id}',['as'=>'user-withdraw-method','uses'=>'UserController@withdrawMethod']);
    Route::get('check-withdraw/{av}/{amount}/{min}/{max}',['as'=>'check-withdraw','uses'=>'UserController@checkWithdraw']);
    Route::post('withdraw-confirm',['as'=>'user-withdraw-confirm','uses'=>'UserController@withdrawConfirm']);
    Route::get('withdraw-history',['as'=>'user-withdraw-history','uses'=>'UserController@withdrawHistory']);

    Route::get('submit-signal',['as'=>'user-submit-signal','uses'=>'UserController@submitUserSignal']);
    Route::post('submit-signal',['as'=>'user-submit-signal','uses'=>'UserController@PostSubmitUserSignal']);
    Route::get('submit-history',['as'=>'submit-history','uses'=>'UserController@submitHistory']);
    Route::get('submit-view/{id}',['as'=>'signal-submit-view','uses'=>'UserController@submitView']);

    Route::post('comment-submit',['as'=>'comment-submit','uses'=>'UserController@commentSubmit']);
    Route::post('rating-submit',['as'=>'rating-submit','uses'=>'UserController@ratingSubmit']);

    Route::get('transaction-log',['as'=>'user-transaction-log','uses'=>'UserController@transactionLog']);

    Route::get('active-telegram',['as'=>'active-telegram','uses'=>'UserController@activeTelegram']);

    Route::get('withdraw-now',['as'=>'user-withdraw-now','uses'=>'UserController@withdrawNow']);
    Route::get('withdraw-method/{id}',['as'=>'user-withdraw-method','uses'=>'UserController@withdrawMethod']);
    Route::get('check-withdraw/{av}/{amount}/{min}/{max}',['as'=>'check-withdraw','uses'=>'UserController@checkWithdraw']);
    Route::post('withdraw-confirm',['as'=>'user-withdraw-confirm','uses'=>'UserController@withdrawConfirm']);
    Route::get('withdraw-history',['as'=>'user-withdraw-history','uses'=>'UserController@withdrawHistory']);


});

Route::post('paypal-submit',['as'=>'paypal-submit','uses'=>'PaymentIPNController@paypalSubmit']);
Route::get('paypal-ipn',['as'=>'paypal-ipn','uses'=>'PaymentIPNController@paypalIpn']);

Route::post('perfect-ipn',['as'=>'perfect-ipn','uses'=>'PaymentIPNController@perfectIPN']);
Route::post('stripe-submit',['as'=>'stripe-submit','uses'=>'PaymentIPNController@submitStripe']);
Route::get('btc_ipn',['as'=>'btc_ipn','uses'=>'PaymentIPNController@btcIPN']);
Route::post('skrill-ipn',['as'=>'skrill-ipn','uses'=>'PaymentIPNController@skrillIPN']);
Route::post('coinpayment-ipn',['as'=>'coinpayment-ipn','uses'=>'PaymentIPNController@coinPaymentIPN']);
Route::post('commission-ipn',['as'=>'commission-ipn','uses'=>'PaymentIPNController@commissionPaymentIPN']);

Route::get('admin', 'Admin\LoginController@showLoginForm')->name('admin.login');
Route::post('admin', 'Admin\LoginController@login')->name('admin.login.post');
Route::get('admin/password/reset', 'Admin\ForgotPasswordController@showLinkRequestForm')->name('admin.password.request');
Route::post('admin/password/email', 'Admin\ForgotPasswordController@sendResetLinkEmail')->name('admin.password.email');
Route::get('admin/password/reset/{token}', 'Admin\ResetPasswordController@showResetForm')->name('admin.password.reset');
Route::post('admin/password/reset', 'Admin\ResetPasswordController@reset');
Route::get('admin-logout', 'Admin\LoginController@logout')->name('admin.logout');

Route::get('admin-dashboard',['as'=>'dashboard','uses'=>'DashboardController@getDashboard']);

Route::group(['prefix' => 'admin'], function () {

    Route::get('edit-profile', ['as' => 'edit-profile', 'uses' => 'BasicSettingController@editProfile']);
    Route::post('edit-profile', ['as' => 'update-profile', 'uses' => 'BasicSettingController@updateProfile']);

    Route::get('change-password', ['as' => 'admin-change-password', 'uses' => 'BasicSettingController@getChangePass']);
    Route::post('change-password', ['as' => 'admin-change-password', 'uses' => 'BasicSettingController@postChangePass']);

    Route::get('basic-setting', ['as' => 'basic-setting', 'uses' => 'BasicSettingController@getBasicSetting']);
    Route::put('basic-general/{id}', ['as' => 'basic-update', 'uses' => 'BasicSettingController@putBasicSetting']);

    Route::get('database-backup',['as'=>'database-backup','uses'=>'BasicSettingController@getDatabaseBackup']);
    Route::get('backup-submit',['as'=>'backup-submit','uses'=>'BasicSettingController@submitDatabaseBackup']);
    Route::get('database-backup-download/{id}',['as'=>'database-backup-download','uses'=>'BasicSettingController@downloadDatabaseBackup']);

    Route::get('google-recaptcha',['as'=>'google-recaptcha','uses'=>'BasicSettingController@googleRecaptcha']);
    Route::put('recaptcha-update/{id}',['as'=>'recaptcha-update','uses'=>'BasicSettingController@updateRecaptcha']);

    Route::get('manage-logo', ['as' => 'manage-logo', 'uses' => 'WebSettingController@manageLogo']);
    Route::post('manage-logo', ['as' => 'manage-logo', 'uses' => 'WebSettingController@updateLogo']);

    Route::get('email-template',['as'=>'email-template','uses'=>'BasicSettingController@manageEmailTemplate']);
    Route::post('email-template',['as'=>'email-template','uses'=>'BasicSettingController@updateEmailTemplate']);

    Route::get('email-setting', ['as' => 'email-setting', 'uses' => 'BasicSettingController@getEmailSetting']);
    Route::put('email-update/{id}', ['as' => 'email-update', 'uses' => 'BasicSettingController@putEmailSetting']);

    Route::get('telegram-config',['as'=>'telegram-config','uses'=>'BasicSettingController@telegramConfig']);
    Route::post('telegram-config',['as'=>'update-template-config','uses'=>'BasicSettingController@updateTelegramConfig']);

    Route::get('telegram-sms',['as'=>'telegram-sms','uses'=>'BasicSettingController@smsTelegram']);
    Route::post('telegram-sms',['as'=>'telegram-sms','uses'=>'BasicSettingController@submitSmsTelegram']);

    Route::get('currency-widget',['as'=>'currency-widget','uses'=>'DashboardController@getCurrencyWidget']);
    Route::post('currency-widget',['as'=>'currency-widget','uses'=>'DashboardController@submitCurrencyWidget']);

    Route::get('transaction-log',['as'=>'transaction-log','uses'=>'DashboardController@getTransactionLog']);

    Route::get('cron-job',['as'=>'cron-job','uses'=>'BasicSettingController@setCronJob']);

    Route::get('sms-setting',['as'=>'sms-setting','uses'=>'BasicSettingController@smsSetting']);
    Route::post('sms-setting',['as'=>'sms-setting','uses'=>'BasicSettingController@updateSmsSetting']);

    Route::get('google-analytic',['as'=>'google-analytic','uses'=>'BasicSettingController@getGoogleAnalytic']);
    Route::post('google-analytic',['as'=>'google-analytic','uses'=>'BasicSettingController@updateGoogleAnalytic']);

    Route::get('live-chat',['as'=>'live-chat','uses'=>'BasicSettingController@getLiveChat']);
    Route::post('live-chat',['as'=>'live-chat','uses'=>'BasicSettingController@updateLiveChat']);

    Route::get('manage-terms',['as'=>'manage-terms','uses'=>'WebSettingController@manageTermsCondition']);
    Route::post('manage-terms',['as'=>'manage-terms','uses'=>'WebSettingController@updateTermsCondition']);

    Route::get('manage-privacy',['as'=>'manage-privacy','uses'=>'WebSettingController@managePrivacyPolicy']);
    Route::post('manage-privacy',['as'=>'manage-privacy','uses'=>'WebSettingController@updatePrivacyPolicy']);

    Route::get('user-create',['as'=>'user-create','uses'=>'DashboardController@createUser']);
    Route::post('user-create',['as'=>'user-create','uses'=>'DashboardController@submitUser']);
    Route::get('user-edit/{id}',['as'=>'user-edit','uses'=>'DashboardController@editUser']);
    Route::post('user-update',['as'=>'user-update','uses'=>'DashboardController@updateUser']);
    Route::delete('user-delete',['as'=>'user-delete','uses'=>'DashboardController@deleteUser']);
    Route::get('manage-user',['as'=>'manage-user','uses'=>'DashboardController@manageUser']);
    Route::post('user-block',['as'=>'user-block','uses'=>'DashboardController@blockUser']);
    Route::post('email-block',['as'=>'email-block','uses'=>'DashboardController@blockEmail']);
    Route::post('phone-block',['as'=>'phone-block','uses'=>'DashboardController@blockPhone']);

    Route::get('manage-asset',['as'=>'manage-asset','uses'=>'ManufactureController@create']);
    Route::post('manage-asset',['as'=>'manage-asset','uses'=>'ManufactureController@store']);
    Route::get('manage-asset/{product_id?}',['as'=>'asset-edit','uses'=>'ManufactureController@edit']);
    Route::put('manage-asset/{product_id?}',['as'=>'asset-edit','uses'=>'ManufactureController@update']);
    Route::delete('manage-asset/{product_id?}',['as'=>'asset-delete','uses'=>'ManufactureController@delete']);

    Route::get('manage-symbol',['as'=>'manage-symbol','uses'=>'ManufactureController@createSymbol']);
    Route::post('manage-symbol',['as'=>'manage-symbol','uses'=>'ManufactureController@storeSymbol']);
    Route::get('manage-symbol/{product_id?}',['as'=>'symbol-edit','uses'=>'ManufactureController@editSymbol']);
    Route::put('manage-symbol/{product_id?}',['as'=>'symbol-edit','uses'=>'ManufactureController@updateSymbol']);
    Route::delete('manage-symbol/{product_id?}',['as'=>'symbol-delete','uses'=>'ManufactureController@deleteSymbol']);

    Route::get('manage-type',['as'=>'manage-type','uses'=>'ManufactureController@createType']);
    Route::post('manage-type',['as'=>'manage-type','uses'=>'ManufactureController@storeType']);
    Route::get('manage-type/{product_id?}',['as'=>'type-edit','uses'=>'ManufactureController@editType']);
    Route::put('manage-type/{product_id?}',['as'=>'type-edit','uses'=>'ManufactureController@updateType']);
    Route::delete('manage-type/{product_id?}',['as'=>'type-delete','uses'=>'ManufactureController@deleteType']);

    Route::get('manage-frame',['as'=>'manage-frame','uses'=>'ManufactureController@createFrame']);
    Route::post('manage-frame',['as'=>'manage-frame','uses'=>'ManufactureController@storeFrame']);
    Route::get('manage-frame/{product_id?}',['as'=>'frame-edit','uses'=>'ManufactureController@editFrame']);
    Route::put('manage-frame/{product_id?}',['as'=>'frame-edit','uses'=>'ManufactureController@updateFrame']);
    Route::delete('manage-frame/{product_id?}',['as'=>'frame-delete','uses'=>'ManufactureController@deleteFrame']);

    Route::get('manage-status',['as'=>'manage-status','uses'=>'ManufactureController@createStatus']);
    Route::post('manage-status',['as'=>'manage-status','uses'=>'ManufactureController@storeStatus']);
    Route::get('manage-status/{product_id?}',['as'=>'status-edit','uses'=>'ManufactureController@editStatus']);
    Route::put('manage-status/{product_id?}',['as'=>'status-edit','uses'=>'ManufactureController@updateStatus']);
    Route::delete('manage-status/{product_id?}',['as'=>'status-delete','uses'=>'ManufactureController@deleteStatus']);

    Route::get('/manage-footer', ['as' => 'manage-footer', 'uses' => 'WebSettingController@manageFooter']);
    Route::put('/manage-footer/{id}', ['as' => 'manage-footer-update', 'uses' => 'WebSettingController@updateFooter']);

    Route::get('manage-social',['as'=>'manage-social','uses'=>'WebSettingController@manageSocial']);
    Route::post('manage-social',['as'=>'manage-social','uses'=>'WebSettingController@storeSocial']);
    Route::get('manage-social/{product_id?}',['as'=>'social-edit','uses'=>'WebSettingController@editSocial']);
    Route::put('manage-social/{product_id?}',['as'=>'social-edit','uses'=>'WebSettingController@updateSocial']);
    Route::delete('manage-social/{product_id?}',['as'=>'social-delete','uses'=>'WebSettingController@deleteSocial']);

    Route::get('menu-create',['as'=>'menu-create','uses'=>'WebSettingController@createMenu']);
    Route::post('menu-create',['as'=>'menu-create','uses'=>'WebSettingController@storeMenu']);
    Route::get('menu-control',['as'=>'menu-control','uses'=>'WebSettingController@manageMenu']);
    Route::get('menu-edit/{id}',['as'=>'menu-edit','uses'=>'WebSettingController@editMenu']);
    Route::post('menu-update/{id}',['as'=>'menu-update','uses'=>'WebSettingController@updateMenu']);
    Route::delete('menu-delete',['as'=>'menu-delete','uses'=>'WebSettingController@deleteMenu']);

    Route::get('manage-about',['as'=>'manage-about','uses'=>'WebSettingController@manageAbout']);
    Route::post('manage-about',['as'=>'manage-about','uses'=>'WebSettingController@updateAbout']);

    Route::get('manage-slider', ['as' => 'manage-slider', 'uses' => 'WebSettingController@manageSlider']);
    Route::post('manage-slider', ['as' => 'manage-slider', 'uses' => 'WebSettingController@storeSlider']);
    Route::delete('slider-delete', ['as' => 'slider-delete', 'uses' => 'WebSettingController@deleteSlider']);

    Route::get('testimonial-create',['as'=>'testimonial-create','uses'=>'WebSettingController@createTestimonial']);
    Route::post('testimonial-create',['as'=>'testimonial-create','uses'=>'WebSettingController@submitTestimonial']);
    Route::get('testimonial-all',['as'=>'testimonial-all','uses'=>'WebSettingController@allTestimonial']);
    Route::get('testimonial-edit/{id}',['as'=>'testimonial-edit','uses'=>'WebSettingController@editTestimonial']);
    Route::put('testimonial-edit/{id}',['as'=>'testimonial-update','uses'=>'WebSettingController@updateTestimonial']);
    Route::delete('testimonial-delete',['as'=>'testimonial-delete','uses'=>'WebSettingController@deleteTestimonial']);

    Route::get('member-create',['as'=>'member-create','uses'=>'WebSettingController@createMember']);
    Route::post('member-create',['as'=>'member-create','uses'=>'WebSettingController@submitMember']);
    Route::get('member-all',['as'=>'member-all','uses'=>'WebSettingController@allMember']);
    Route::get('member-edit/{id}',['as'=>'member-edit','uses'=>'WebSettingController@editMember']);
    Route::put('member-edit/{id}',['as'=>'member-update','uses'=>'WebSettingController@updateMember']);
    Route::delete('member-delete',['as'=>'member-delete','uses'=>'WebSettingController@deleteMember']);

    Route::get('manage-subscriber',['as'=>'manage-subscriber','uses'=>'DashboardController@manageSubscriber']);
    Route::delete('subscriber-delete',['as'=>'subscriber-delete','uses'=>'DashboardController@deleteSubscriber']);
    Route::get('subscriber-message',['as'=>'subscriber-message','uses'=>'DashboardController@getSubscriberMessage']);
    Route::post('subscriber-message',['as'=>'subscriber-message-submit','uses'=>'DashboardController@submitSubscriberMessage']);
    Route::get('subscriber-message-list',['as'=>'subscriber-message-list','uses'=>'DashboardController@subscriberMessageList']);
    Route::delete('subscriber-message-delete',['as'=>'subscriber-message-delete','uses'=>'DashboardController@subscriberMessageDelete']);

    Route::get('manage-breadcrumb',['as'=>'manage-breadcrumb','uses'=>'WebSettingController@mangeBreadcrumb']);
    Route::post('manage-breadcrumb',['as'=>'manage-breadcrumb','uses'=>'WebSettingController@updateBreadcrumb']);

    Route::get('speciality-create',['as'=>'speciality-create','uses'=>'WebSettingController@createSpeciality']);
    Route::post('speciality-create',['as'=>'speciality-create','uses'=>'WebSettingController@storeSpeciality']);
    Route::get('speciality-control',['as'=>'speciality-control','uses'=>'WebSettingController@manageSpeciality']);
    Route::get('speciality-edit/{id}',['as'=>'speciality-edit','uses'=>'WebSettingController@editSpeciality']);
    Route::post('speciality-update/{id}',['as'=>'speciality-update','uses'=>'WebSettingController@updateSpeciality']);
    Route::delete('speciality-delete',['as'=>'speciality-delete','uses'=>'WebSettingController@deleteSpeciality']);

    Route::get('manage-category',['as'=>'manage-category','uses'=>'CategoryController@manageCategory']);
    Route::post('manage-category',['as'=>'manage-category','uses'=>'CategoryController@storeCategory']);
    Route::get('manage-category/{product_id?}',['as'=>'category-edit','uses'=>'CategoryController@editCategory']);
    Route::put('manage-category/{product_id?}',['as'=>'category-edit','uses'=>'CategoryController@updateCategory']);
    Route::delete('/manage-category/{product_id?}','CategoryController@deleteItem');

    Route::get('post-create',['as'=>'post-create','uses'=>'PostController@create']);
    Route::post('post-create',['as'=>'post-create','uses'=>'PostController@store']);
    Route::get('post-all',['as'=>'post-all','uses'=>'PostController@index']);
    Route::get('post-edit/{id}',['as'=>'post-edit','uses'=>'PostController@edit']);
    Route::post('post-update',['as'=>'post-update','uses'=>'PostController@update']);
    Route::delete('post-delete',['as'=>'post-delete','uses'=>'PostController@destroy']);
    Route::post('post-publish',['as'=>'post-publish','uses'=>'PostController@publish']);

    Route::get('plan-create',['as'=>'plan-create','uses'=>'PlanController@create']);
    Route::post('plan-create',['as'=>'plan-create','uses'=>'PlanController@store']);
    Route::get('plan-all',['as'=>'plan-all','uses'=>'PlanController@index']);
    Route::get('plan-edit/{id}',['as'=>'plan-edit','uses'=>'PlanController@edit']);
    Route::post('plan-update',['as'=>'plan-update','uses'=>'PlanController@update']);
    Route::delete('plan-delete',['as'=>'plan-delete','uses'=>'PlanController@destroy']);

    Route::get('payment-method',['as'=>'payment-method','uses'=>'PaymentController@paymentMethod']);
    Route::post('payment-method',['as'=>'payment-method-update','uses'=>'PaymentController@updatePaymentMethod']);
    Route::get('manual-payment-method',['as'=>'manual-payment-method','uses'=>'PaymentController@getManualPaymentMethod']);
    Route::get('manual-payment-method-create',['as'=>'manual-payment-method-create','uses'=>'PaymentController@createManualPaymentMethod']);
    Route::post('manual-payment-method-create',['as'=>'manual-payment-method-create','uses'=>'PaymentController@storeManualPaymentMethod']);
    Route::get('manual-payment-method-edit/{id}',['as'=>'manual-payment-method-edit','uses'=>'PaymentController@editManualPaymentMethod']);
    Route::put('manual-payment-method-edit/{id}',['as'=>'manual-payment-method-update','uses'=>'PaymentController@updateManualPaymentMethod']);

    Route::get('manual-payment-request',['as'=>'manual-payment-request','uses'=>'PaymentController@getManualPaymentRequest']);
    Route::get('manual-payment-request/{custom}',['as'=>'manual-payment-request-view','uses'=>'PaymentController@viewManualPaymentRequest']);
    Route::post('manual-payment-request-cancel',['as'=>'manual-payment-request-cancel','uses'=>'PaymentController@cancelManualPaymentRequest']);
    Route::post('manual-payment-request-confirm',['as'=>'manual-payment-request-confirm','uses'=>'PaymentController@confirmManualPaymentRequest']);
    Route::delete('manual-payment-request-delete',['as'=>'manual-payment-request-delete','uses'=>'PaymentController@deleteManualPaymentRequest']);

    Route::get('withdraw-create',['as'=>'withdraw-create','uses'=>'WithdrawMethodController@createMethod']);
    Route::post('withdraw-create',['as'=>'withdraw-create','uses'=>'WithdrawMethodController@storeMethod']);
    Route::get('withdraw-method',['as'=>'withdraw-method','uses'=>'WithdrawMethodController@allMethod']);
    Route::get('withdraw-edit/{id}',['as'=>'withdraw-edit','uses'=>'WithdrawMethodController@editMethod']);
    Route::put('withdraw-edit/{id}',['as'=>'withdraw-update','uses'=>'WithdrawMethodController@updateMethod']);

    Route::get('withdraw-request',['as'=>'withdraw-request','uses'=>'WithdrawController@allRequest']);
    Route::get('withdraw-request-view/{custom}',['as'=>'withdraw-request-view','uses'=>'WithdrawController@requestView']);

    Route::post('withdraw-refund',['as'=>'withdraw-refund','uses'=>'WithdrawController@WithdrawRefund']);
    Route::post('withdraw-confirm',['as'=>'withdraw-confirm','uses'=>'WithdrawController@WithdrawConfirm']);
    Route::get('withdraw-request-refund',['as'=>'withdraw-request-refund','uses'=>'WithdrawController@getRequestRefund']);
    Route::get('withdraw-request-success',['as'=>'withdraw-request-success','uses'=>'WithdrawController@getRequestSuccess']);
    Route::get('withdraw-request-pending',['as'=>'withdraw-request-pending','uses'=>'WithdrawController@getRequestPending']);


    Route::get('manage-shortAbout',['as'=>'manage-shortAbout','uses'=>'WebSettingController@shortAbout']);
    Route::post('manage-shortAbout',['as'=>'manage-shortAbout','uses'=>'WebSettingController@updateShortAbout']);

    Route::get('partner-create',['as'=>'partner-create','uses'=>'WebSettingController@createPartner']);
    Route::post('partner-create',['as'=>'partner-create','uses'=>'WebSettingController@submitPartner']);
    Route::get('partner-all',['as'=>'partner-all','uses'=>'WebSettingController@allPartner']);
    Route::get('partner-edit/{id}',['as'=>'partner-edit','uses'=>'WebSettingController@editPartner']);
    Route::put('partner-edit/{id}',['as'=>'partner-update','uses'=>'WebSettingController@updatePartner']);
    Route::delete('partner-delete',['as'=>'partner-delete','uses'=>'WebSettingController@deletePartner']);

    Route::get('advertisement-create',['as'=>'advertisement-create','uses'=>'AdvertisementController@createAdvertisement']);
    Route::post('advertisement-create',['as'=>'advertisement-create','uses'=>'AdvertisementController@storeAdvertisement']);
    Route::get('advertisement-all',['as'=>'advertisement-all','uses'=>'AdvertisementController@allAdvertisement']);
    Route::get('advertisement-edit/{id}',['as'=>'advertisement-edit','uses'=>'AdvertisementController@editAdvertisement']);
    Route::put('advertisement-edit/{id}',['as'=>'advertisement-update','uses'=>'AdvertisementController@updateAdvertisement']);

    Route::get('signal-create',['as'=>'signal-create','uses'=>'SignalController@create']);
    Route::post('signal-create',['as'=>'signal-create','uses'=>'SignalController@store']);
    Route::get('signal-all',['as'=>'signal-all','uses'=>'SignalController@index']);
    Route::get('signal-view/{id}',['as'=>'signal-view','uses'=>'SignalController@show']);
    Route::get('signal-edit/{id}',['as'=>'signal-edit','uses'=>'SignalController@edit']);
    Route::post('signal-update',['as'=>'signal-update','uses'=>'SignalController@update']);
    Route::delete('signal-delete',['as'=>'signal-delete','uses'=>'SignalController@destroy']);

    Route::post('signal-result-update',['as'=>'signal-result-update','uses'=>'SignalController@updateResult']);

    Route::post('comment-submit',['as'=>'admin-comment-submit','uses'=>'DashboardController@commentSubmit']);
    Route::post('rating-submit',['as'=>'admin-rating-submit','uses'=>'DashboardController@ratingSubmit']);

    Route::get('speciality-section',['as'=>'speciality-section','uses'=>'SectionController@getSpecialitySection']);
    Route::post('speciality-section',['as'=>'speciality-section','uses'=>'SectionController@submitSpecialitySection']);

    Route::get('currency-section',['as'=>'currency-section','uses'=>'SectionController@getCurrencySection']);
    Route::post('currency-section',['as'=>'currency-section','uses'=>'SectionController@submitCurrencySection']);

    Route::get('trading-section',['as'=>'trading-section','uses'=>'SectionController@getTradingSection']);
    Route::post('trading-section',['as'=>'trading-section','uses'=>'SectionController@submitTradingSection']);

    Route::get('advertise-section',['as'=>'advertise-section','uses'=>'SectionController@getAdvertiseSection']);
    Route::post('advertise-section',['as'=>'advertise-section','uses'=>'SectionController@submitAdvertiseSection']);

    Route::get('plan-section',['as'=>'plan-section','uses'=>'SectionController@getPlanSection']);
    Route::post('plan-section',['as'=>'plan-section','uses'=>'SectionController@submitPlanSection']);

    Route::get('about-section',['as'=>'about-section','uses'=>'SectionController@getAboutSection']);
    Route::post('about-section',['as'=>'about-section','uses'=>'SectionController@submitAboutSection']);

    Route::get('coupon-section',['as'=>'coupon-section','uses'=>'SectionController@getCouponSection']);
    Route::post('coupon-section',['as'=>'coupon-section','uses'=>'SectionController@submitCouponSection']);

    Route::get('counter-section',['as'=>'counter-section','uses'=>'SectionController@getCounterSection']);
    Route::post('counter-section',['as'=>'counter-section','uses'=>'SectionController@submitCounterSection']);

    Route::get('testimonial-section',['as'=>'testimonial-section','uses'=>'SectionController@getTestimonialSection']);
    Route::post('testimonial-section',['as'=>'testimonial-section','uses'=>'SectionController@submitTestimonialSection']);

    Route::get('subscriber-section',['as'=>'subscriber-section','uses'=>'SectionController@getSubscriberSection']);
    Route::post('subscriber-section',['as'=>'subscriber-section','uses'=>'SectionController@submitSubscriberSection']);

    Route::get('blog-section',['as'=>'blog-section','uses'=>'SectionController@getBlogSection']);
    Route::post('blog-section',['as'=>'blog-section','uses'=>'SectionController@submitBlogSection']);

    Route::get('team-section',['as'=>'team-section','uses'=>'SectionController@getTeamSection']);
    Route::post('team-section',['as'=>'team-section','uses'=>'SectionController@submitTeamSection']);

    Route::get('result-section',['as'=>'result-section','uses'=>'SectionController@getResultSection']);
    Route::post('result-section',['as'=>'result-section','uses'=>'SectionController@submitResultSection']);


    Route::get('staff-create',['as'=>'staff-create','uses'=>'DashboardController@createStaff']);
    Route::post('staff-create',['as'=>'staff-create','uses'=>'DashboardController@submitStaff']);
    Route::get('manage-staff',['as'=>'manage-staff','uses'=>'DashboardController@manageStaff']);
    Route::post('staff-password-update',['as'=>'staff-password-update','uses'=>'DashboardController@passwordUpdateStaff']);
    Route::get('staff-edit/{id}',['as'=>'staff-edit','uses'=>'DashboardController@editStaff']);
    Route::post('staff-update',['as'=>'staff-update','uses'=>'DashboardController@updateStaff']);

});


Route::get('staff', 'Staff\LoginController@showLoginForm')->name('staff.login');
Route::post('staff', 'Staff\LoginController@login')->name('staff.login.post');
Route::get('staff/password/reset', 'Staff\ForgotPasswordController@showLinkRequestForm')->name('staff.password.request');
Route::post('staff/password/email', 'Staff\ForgotPasswordController@sendResetLinkEmail')->name('staff.password.email');
Route::get('staff/password/reset/{token}', 'Staff\ResetPasswordController@showResetForm')->name('staff.password.reset');
Route::post('staff/password/reset', 'Staff\ResetPasswordController@reset');
Route::get('staff-logout', 'Staff\LoginController@logout')->name('staff.logout');

Route::get('staff-dashboard',['as'=>'staff-dashboard','uses'=>'StaffController@getDashboard']);

Route::group(['prefix' => 'staff'], function () {

    Route::get('edit-profile', ['as' => 'staff-edit-profile', 'uses' => 'StaffController@editProfile']);
    Route::post('edit-profile', ['as' => 'staff-update-profile', 'uses' => 'StaffController@updateProfile']);

    Route::get('change-password', ['as' => 'staff-change-password', 'uses' => 'StaffController@getChangePass']);
    Route::post('change-password', ['as' => 'staff-change-password', 'uses' => 'StaffController@postChangePass']);

    Route::get('signal-create',['as'=>'staff-signal-create','uses'=>'StaffController@signalCreate']);
    Route::post('signal-create',['as'=>'staff-signal-create','uses'=>'StaffController@signalStore']);
    Route::get('signal-all',['as'=>'staff-signal-all','uses'=>'StaffController@signalIndex']);
    Route::get('signal-view/{id}',['as'=>'staff-signal-view','uses'=>'StaffController@signalShow']);
    Route::get('signal-edit/{id}',['as'=>'staff-signal-edit','uses'=>'StaffController@signalEdit']);
    Route::post('signal-update',['as'=>'staff-signal-update','uses'=>'StaffController@signalUpdate']);
    Route::delete('signal-delete',['as'=>'staff-signal-delete','uses'=>'StaffController@signalDestroy']);

    Route::post('comment-submit',['as'=>'staff-comment-submit','uses'=>'StaffController@commentSubmit']);
    Route::post('rating-submit',['as'=>'staff-rating-submit','uses'=>'StaffController@ratingSubmit']);

    Route::get('post-create',['as'=>'staff-post-create','uses'=>'StaffController@createPost']);
    Route::post('post-create',['as'=>'staff-post-create','uses'=>'StaffController@storePost']);
    Route::get('post-all',['as'=>'staff-post-all','uses'=>'StaffController@indexPost']);
    Route::get('post-edit/{id}',['as'=>'staff-post-edit','uses'=>'StaffController@editPost']);
    Route::post('post-update',['as'=>'staff-post-update','uses'=>'StaffController@updatePost']);
    Route::delete('post-delete',['as'=>'staff-post-delete','uses'=>'StaffController@destroyPost']);
    Route::post('post-publish',['as'=>'staff-post-publish','uses'=>'StaffController@publishPost']);

    Route::get('user-list',['as'=>'staff-user-list','uses'=>'StaffController@userList']);

    Route::post('signal-result-update',['as'=>'staff-signal-result-update','uses'=>'StaffController@updateSignalResult']);
});

