<!DOCTYPE html>
<html lang="en">

<head>
    <title><?php echo e($site_title); ?> | <?php echo e($page_title); ?></title>
    <!--[if lt IE 10]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta property="og:title" content="<?php echo e($basic->title); ?>">
    <meta name="description" content="<?php echo e($basic->description); ?>" />
    <meta name="keywords" content="<?php echo e($basic->meta_tag); ?>" />
    <meta name="author" content="<?php echo e($basic->author); ?>" />

    <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>" type="image/x-icon">

    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600" rel="stylesheet">

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/bootstrap.min.css')); ?>">

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/themify-icons.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/icofont.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/toastr.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/jquery.mCustomScrollbar.css')); ?>">
    <?php echo $__env->yieldContent('style'); ?>

</head>
<body>

<div class="theme-loader">
    <div class="loader-track">
        <div class="loader-bar"></div>
    </div>
</div>

<div id="pcoded" class="pcoded">
    <div class="pcoded-overlay-box"></div>
    <div class="pcoded-container navbar-wrapper">
        <nav class="navbar header-navbar pcoded-header">
            <div class="navbar-wrapper">
                <div class="navbar-logo">
                    <a class="mobile-menu" id="mobile-collapse" href="#">
                        <i class="ti-menu"></i>
                    </a>
                    <a href="<?php echo e(route('home')); ?>">
                        <img class="img-fluid" src="<?php echo e(asset('assets/images/logo.png')); ?>" alt="<?php echo e($site_title); ?>" style="width: 180px;" />
                    </a>
                    <a class="mobile-options">
                        <i class="ti-more"></i>
                    </a>
                </div>
                <div class="navbar-container container-fluid">
                    <ul class="nav-left">
                        <li>
                            <div class="sidebar_toggle"><a href="javascript:void(0)"><i class="ti-menu"></i></a></div>
                        </li>
                        <li>
                            <a href="#" onclick="javascript:toggleFullScreen()">
                                <i class="ti-fullscreen"></i>
                            </a>
                        </li>
                    </ul>
                    <ul class="nav-right">
                        <li class="user-profile header-notification">
                            <a href="#">
                                <img src="<?php echo e(asset('assets/images')); ?>/<?php echo e(Auth::user()->image); ?>" class="img-radius" alt="<?php echo e(Auth::user()->name); ?>">
                                <span><?php echo e(Auth::user()->name); ?></span>
                                <i class="ti-angle-down"></i>
                            </a>
                            <ul class="show-notification profile-notification">

                                <li>
                                    <a href="<?php echo e(route('edit-profile')); ?>">
                                        <i class="ti-user"></i> Profile
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('admin-change-password')); ?>">
                                        <i class="ti-pencil-alt"></i> Change Password
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('admin.logout')); ?>">
                                        <i class="ti-share"></i> Logout
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="pcoded-main-container">
            <div class="pcoded-wrapper">
                <nav class="pcoded-navbar">
                    <div class="sidebar_toggle"><a href="#"><i class="icon-close icons"></i></a></div>
                    <div class="pcoded-inner-navbar main-menu">
                        <div class="pcoded-navigation-label">General setting</div>
                        <ul class="pcoded-item pcoded-left-item">
                            <li class="<?php echo e(Request::is('admin-dashboard') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('dashboard')); ?>">
                                    <span class="pcoded-micon"><i class="ti-home"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Dashboard</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="pcoded-hasmenu <?php if(Request::is('admin/signal-create') or Request::is('admin/signal-all') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="ti-stats-up"></i><b>MB</b></span>
                                    <span class="pcoded-mtext">Manage Signal</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/signal-create') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('signal-create')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">New Signal</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/signal-all') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('signal-all')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">All Signal</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>

                            <li class="pcoded-hasmenu <?php if(Request::is('admin/plan-create') or Request::is('admin/plan-all') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="ti-layout-column3"></i><b>MB</b></span>
                                    <span class="pcoded-mtext">Manage Plan</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/plan-create') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('plan-create')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">New Plan</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/plan-all') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('plan-all')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">All Plan</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>

                            <li class="pcoded-hasmenu <?php if(Request::is('admin/post-create') or Request::is('admin/post-all') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="fa fa-newspaper-o"></i><b>MB</b></span>
                                    <span class="pcoded-mtext">Manage Blog</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/post-create') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('post-create')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">New Blog</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/post-all') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('post-all')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">All Blog</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="<?php echo e(Request::is('admin/manage-category') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('manage-category')); ?>">
                                    <span class="pcoded-micon"><i class="ti-layout-grid2"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Blog Category</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/speciality-control') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('speciality-control')); ?>">
                                    <span class="pcoded-micon"><i class="ti-package"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Manage Speciality</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>

                            <li class="pcoded-hasmenu <?php if(Request::is('admin/payment-method') or Request::is('admin/manual-payment-method') or Request::is('admin/manual-payment-request') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="fa fa-credit-card"></i><b>MB</b></span>
                                    <span class="pcoded-mtext">Payment Gateway</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/payment-method') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('payment-method')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Automated Gateway</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/manual-payment-method') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('manual-payment-method')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Manual Gateway</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/manual-payment-request') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('manual-payment-request')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Payment Request</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>

                            <li class="pcoded-hasmenu <?php if(Request::is('admin/withdraw-method') or Request::is('admin/withdraw-create') or Request::is('admin/withdraw-request') or Request::is('admin/withdraw-request-pending') or Request::is('admin/withdraw-request-success') or Request::is('admin/withdraw-request-refund') or Request::is('admin/withdraw-request-pending') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="fa fa-credit-card-alt"></i><b>MB</b></span>
                                    <span class="pcoded-mtext">Manage Withdraw</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/withdraw-method') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('withdraw-method')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Withdraw Method</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/withdraw-request') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('withdraw-request')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Withdraw Request</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/withdraw-request-pending') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('withdraw-request-pending')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Pending Request</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/withdraw-request-success') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('withdraw-request-success')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Confirm Request</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/withdraw-request-refund') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('withdraw-request-refund')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Refund Request</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>


                            <li class="pcoded-hasmenu <?php if(Request::is('admin/manage-subscriber') or Request::is('admin/subscriber-message') or Request::is('admin/subscriber-message-list') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="ti-themify-favicon"></i><b>MB</b></span>
                                    <span class="pcoded-mtext">Manage Subscriber</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/manage-subscriber') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('manage-subscriber')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Subscriber List</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/subscriber-message') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('subscriber-message')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Send Message</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/subscriber-message-list') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('subscriber-message-list')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Send Message List</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>


                            <li class="pcoded-hasmenu <?php if(Request::is('admin/user-create') or Request::is('admin/manage-user') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="ti-user"></i><b>MB</b></span>
                                    <span class="pcoded-mtext">Manage Users</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/user-create') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('user-create')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Add User</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/manage-user') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('manage-user')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">All User</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>

                            <li class="pcoded-hasmenu <?php if(Request::is('admin/staff-create') or Request::is('admin/manage-staff') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="fa fa-user-secret"></i><b>MB</b></span>
                                    <span class="pcoded-mtext">Manage Staff</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/staff-create') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('staff-create')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Add Staff</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/manage-staff') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('manage-staff')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">All Staff</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>

                            <li class="<?php echo e(Request::is('admin/transaction-log') ? 'active' : ''); ?> ">
                                <a href="<?php echo route('transaction-log'); ?>">
                                    <span class="pcoded-micon"><i class="ti-menu-alt"></i><b>BS</b></span>
                                    <span class="pcoded-mtext">Transaction Log</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>



                        </ul>
                        <div class="pcoded-navigation-label">Basic control</div>
                        <ul class="pcoded-item pcoded-left-item">
                            <li class="<?php echo e(Request::is('admin/basic-setting') ? 'active' : ''); ?> ">
                                <a href="<?php echo route('basic-setting'); ?>">
                                    <span class="pcoded-micon"><i class="ti-settings"></i><b>BS</b></span>
                                    <span class="pcoded-mtext">Basic Setting</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/google-recaptcha') ? 'active' : ''); ?>">
                                <a href="<?php echo route('google-recaptcha'); ?>">
                                    <span class="pcoded-micon"><i class="ti-control-shuffle"></i><b>GR</b></span>
                                    <span class="pcoded-mtext">Google Recaptcha</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/email-setting') ? 'active' : ''); ?>">
                                <a href="<?php echo route('email-setting'); ?>">
                                    <span class="pcoded-micon"><i class="ti-settings"></i><b>ES</b></span>
                                    <span class="pcoded-mtext">Email Setting</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/email-template') ? 'active' : ''); ?>">
                                <a href="<?php echo route('email-template'); ?>">
                                    <span class="pcoded-micon"><i class="ti-email"></i><b>ET</b></span>
                                    <span class="pcoded-mtext">Email Template</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/sms-setting') ? 'active' : ''); ?>">
                                <a href="<?php echo route('sms-setting'); ?>">
                                    <span class="pcoded-micon"><i class="ti-link"></i><b>SA</b></span>
                                    <span class="pcoded-mtext">SMS API</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/telegram-sms') ? 'active' : ''); ?>">
                                <a href="<?php echo route('telegram-sms'); ?>">
                                    <span class="pcoded-micon"><i class="ti-loop"></i><b>PS</b></span>
                                    <span class="pcoded-mtext">Phone SMS</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/telegram-config') ? 'active' : ''); ?>">
                                <a href="<?php echo route('telegram-config'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-send-o"></i><b>TB</b></span>
                                    <span class="pcoded-mtext">Telegram Bot</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/currency-widget') ? 'active' : ''); ?>">
                                <a href="<?php echo route('currency-widget'); ?>">
                                    <span class="pcoded-micon"><i class="ti-desktop"></i><b>CW</b></span>
                                    <span class="pcoded-mtext">Currency widget</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/google-analytic') ? 'active' : ''); ?>">
                                <a href="<?php echo route('google-analytic'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-google"></i><b>GA</b></span>
                                    <span class="pcoded-mtext">Google Analytic</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/live-chat') ? 'active' : ''); ?>">
                                <a href="<?php echo route('live-chat'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-comments-o"></i><b>LC</b></span>
                                    <span class="pcoded-mtext">Live Chat</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/cron-job') ? 'active' : ''); ?>">
                                <a href="<?php echo route('cron-job'); ?>">
                                    <span class="pcoded-micon"><i class="ti-link"></i><b>CB</b></span>
                                    <span class="pcoded-mtext">Cron Config</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/database-backup') ? 'active' : ''); ?>">
                                <a href="<?php echo route('database-backup'); ?>">
                                    <span class="pcoded-micon"><i class="ti-layout-list-thumb"></i><b>CB</b></span>
                                    <span class="pcoded-mtext">Database Backup</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                        </ul>
                        <div class="pcoded-navigation-label">Web Setting</div>
                        <ul class="pcoded-item pcoded-left-item">
                            <li class="<?php echo e(Request::is('admin/manage-logo') ? 'active' : ''); ?>">
                                <a href="<?php echo route('manage-logo'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-picture-o"></i><b>ML</b></span>
                                    <span class="pcoded-mtext">Manage Logo</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>

                            <li class="<?php echo e(Request::is('admin/manage-about') ? 'active' : ''); ?>">
                                <a href="<?php echo route('manage-about'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-file-text-o"></i><b>MF</b></span>
                                    <span class="pcoded-mtext">Manage About</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>

                            <li class="<?php echo e(Request::is('admin/manage-footer') ? 'active' : ''); ?>">
                                <a href="<?php echo route('manage-footer'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-sitemap"></i><b>MF</b></span>
                                    <span class="pcoded-mtext">Manage Footer</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/manage-social') ? 'active' : ''); ?>">
                                <a href="<?php echo route('manage-social'); ?>">
                                    <span class="pcoded-micon"><i class="ti-share"></i><b>MS</b></span>
                                    <span class="pcoded-mtext">Manage Social</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/manage-breadcrumb') ? 'active' : ''); ?>">
                                <a href="<?php echo route('manage-breadcrumb'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-file-image-o"></i><b>MB</b></span>
                                    <span class="pcoded-mtext">Manage Breadcrumb</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/manage-slider') ? 'active' : ''); ?>">
                                <a href="<?php echo route('manage-slider'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-sliders"></i><b>MS</b></span>
                                    <span class="pcoded-mtext">Manage Slider</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/menu-control') ? 'active' : ''); ?>">
                                <a href="<?php echo route('menu-control'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-rss"></i><b>MM</b></span>
                                    <span class="pcoded-mtext">Manage Menu</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>

                            <li class="pcoded-hasmenu <?php if(Request::is('admin/member-create') or Request::is('admin/member-all') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="fa fa-users"></i><b>IM</b></span>
                                    <span class="pcoded-mtext">Team Member</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/member-create') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('member-create')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">New Member</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/member-all') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('member-all')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">All Member</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>

                            <li class="pcoded-hasmenu <?php if(Request::is('admin/testimonial-create') or Request::is('admin/testimonial-all') ): ?> active pcoded-trigger <?php endif; ?> " dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="fa fa-desktop"></i><b>I</b></span>
                                    <span class="pcoded-mtext">Manage Testimonial</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/testimonial-create') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('testimonial-create')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">New Testimonial</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/testimonial-all') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('testimonial-all')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">All Testimonial</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>

                            <li class="<?php echo e(Request::is('admin/manage-terms') ? 'active' : ''); ?>">
                                <a href="<?php echo route('manage-terms'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-quote-left"></i><b>TC</b></span>
                                    <span class="pcoded-mtext">Term & Condition</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('admin/manage-privacy') ? 'active' : ''); ?>">
                                <a href="<?php echo route('manage-privacy'); ?>">
                                    <span class="pcoded-micon"><i class="fa fa-cogs"></i><b>PP</b></span>
                                    <span class="pcoded-mtext">Privacy & Policy</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                        </ul>
                        <div class="pcoded-navigation-label">Manage Section</div>
                        <ul class="pcoded-item pcoded-left-item">
                            <li class="pcoded-hasmenu
                            <?php if(Request::is('admin/speciality-section') or Request::is('admin/subscriber-section') or Request::is('admin/provider-section') or Request::is('admin/trading-section') or Request::is('admin/currency-section') or Request::is('admin/team-section') or Request::is('admin/blog-section') or Request::is('admin/testimonial-section') or Request::is('admin/plan-section') or Request::is('admin/counter-section') or Request::is('admin/about-section') or Request::is('admin/plan-section') ): ?> active pcoded-trigger <?php endif; ?>" dropdown-icon="style3" subitem-icon="style7">
                                <a href="javascript:void(0)">
                                    <span class="pcoded-micon"><i class="ti-desktop"></i><b>I</b></span>
                                    <span class="pcoded-mtext">Manage Section</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                                <ul class="pcoded-submenu">
                                    <li class="<?php echo e(Request::is('admin/result-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('result-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Signal Result</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/speciality-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('speciality-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Speciality Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/currency-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('currency-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Currency Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/trading-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('trading-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Live Trading Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/plan-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('plan-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Plan Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/about-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('about-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">About Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/advertise-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('advertise-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Advertise Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/counter-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('counter-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Counter Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/testimonial-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('testimonial-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Testimonial Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/subscriber-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('subscriber-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Subscriber Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/blog-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('blog-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Blog Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>
                                    <li class="<?php echo e(Request::is('admin/team-section') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('team-section')); ?>">
                                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                            <span class="pcoded-mtext">Team Section</span>
                                            <span class="pcoded-mcaret"></span>
                                        </a>
                                    </li>

                                </ul>
                            </li>
                        </ul>
                    </div>
                </nav>

                <div class="pcoded-content">
                    <div class="pcoded-inner-content">
                        <div class="main-body">
                            <div class="page-wrapper">
                                <div class="page-header card">
                                    <div class="card-block">
                                        <h5 class="m-b-10"><?php echo e($page_title); ?></h5>
                                        <ul class="breadcrumb-title p-t-10">
                                            <li class="breadcrumb-item">
                                                <a href="<?php echo e(route('dashboard')); ?>"> <i class="fa fa-home"></i> Dashboard </a>
                                            </li>
                                            <li class="breadcrumb-item"><a href="#"><?php echo e($page_title); ?></a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>

                                <?php if($errors->any()): ?>
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="alert alert-warning icons-alert">
                                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                <i class="icofont icofont-close-line-circled"></i>
                                            </button>
                                            <p><?php echo $error; ?></p>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>

                                <?php echo $__env->yieldContent('content'); ?>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="<?php echo e(asset('assets/admin/js/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/jquery-ui.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/popper.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/jquery.slimscroll.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/modernizr.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/css-scrollbars.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/pcoded.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/vertical-layout.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/jquery.mCustomScrollbar.concat.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/script.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/toastr.js')); ?>"></script>
<script>
    <?php if(Session::has('message')): ?>
    var type = "<?php echo e(Session::get('type', 'info')); ?>";
    switch(type){
        case 'info':
            toastr.info("<?php echo e(Session::get('message')); ?>");
            break;
        case 'warning':
            toastr.warning("<?php echo e(Session::get('message')); ?>");
            break;
        case 'success':
            toastr.success("<?php echo e(Session::get('message')); ?>");
            break;
        case 'error':
            toastr.error("<?php echo e(Session::get('message')); ?>");
            break;
    }
    <?php endif; ?>
</script>

<?php echo $__env->yieldContent('scripts'); ?>

</body>

</html>
