<!DOCTYPE html>
<html lang="en">

<head>
    <title><?php echo e($site_title); ?> | <?php echo e($page_title); ?></title>
    <!--[if lt IE 10]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta property="og:title" content="<?php echo e($basic->title); ?>">
    <meta name="description" content="<?php echo e($basic->description); ?>" />
    <meta name="keywords" content="<?php echo e($basic->meta_tag); ?>" />
    <meta name="author" content="<?php echo e($basic->author); ?>" />

    <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>" type="image/x-icon">

    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600" rel="stylesheet">

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/themify-icons.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/icofont.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/font-awesome.min.css')); ?>">
    <?php echo $__env->yieldContent('import_style'); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/toastr.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/jquery.mCustomScrollbar.css')); ?>">
    <?php echo $__env->yieldContent('style'); ?>
</head>
<body>

<div class="theme-loader">
    <div class="loader-track">
        <div class="loader-bar"></div>
    </div>
</div>

<div id="pcoded" class="pcoded">
    <div class="pcoded-overlay-box"></div>
    <div class="pcoded-container navbar-wrapper">
        <nav class="navbar header-navbar pcoded-header">
            <div class="navbar-wrapper">
                <div class="navbar-logo">
                    <a class="mobile-menu" id="mobile-collapse" href="#">
                        <i class="ti-menu"></i>
                    </a>
                    <a href="<?php echo e(route('home')); ?>">
                        <img class="img-fluid" src="<?php echo e(asset('assets/images/logo.png')); ?>" alt="<?php echo e($site_title); ?>" style="width: 180px;" />
                    </a>
                    <a class="mobile-options">
                        <i class="ti-more"></i>
                    </a>
                </div>
                <div class="navbar-container container-fluid">
                    <ul class="nav-left">
                        <li>
                            <div class="sidebar_toggle"><a href="javascript:void(0)"><i class="ti-menu"></i></a></div>
                        </li>
                        <li>
                            <a href="#!" onclick="javascript:toggleFullScreen()">
                                <i class="ti-fullscreen"></i>
                            </a>
                        </li>
                    </ul>
                    <ul class="nav-right">
                        <li class="user-profile header-notification">
                            <a href="#">
                                <?php if(Auth::user()->image != null): ?>
                                    <img src="<?php echo e(asset('assets/images')); ?>/<?php echo e(Auth::user()->image); ?>" class="img-radius" alt="<?php echo e(Auth::user('staff')->name); ?>">
                                <?php else: ?>
                                    <img src="<?php echo e(asset('assets/images/user-default.png')); ?>" alt="avatar">
                                <?php endif; ?>
                                <span><?php echo e(Auth::user()->name); ?></span>
                                <i class="ti-angle-down"></i>
                            </a>
                            <ul class="show-notification profile-notification">

                                <li>
                                    <a href="<?php echo e(route('staff-edit-profile')); ?>">
                                        <i class="ti-user"></i> Profile
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('staff-change-password')); ?>">
                                        <i class="ti-pencil-alt"></i> Change Password
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('staff.logout')); ?>">
                                        <i class="ti-share"></i> Logout
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="pcoded-main-container">
            <div class="pcoded-wrapper">
                <nav class="pcoded-navbar">
                    <div class="sidebar_toggle"><a href="#"><i class="icon-close icons"></i></a></div>
                    <div class="pcoded-inner-navbar main-menu">
                        <div class="pcoded-navigation-label">General setting</div>
                        <ul class="pcoded-item pcoded-left-item">
                            <li class="<?php echo e(Request::is('staff-dashboard') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('staff-dashboard')); ?>">
                                    <span class="pcoded-micon"><i class="ti-home"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Dashboard</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                        </ul>
                        <div class="pcoded-navigation-label">Manage Signal</div>
                        <ul class="pcoded-item pcoded-left-item">

                            <li class="<?php echo e(Request::is('staff/signal-create') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('staff-signal-create')); ?>">
                                    <span class="pcoded-micon"><i class="ti-plus"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Create Signal</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>

                            <li class="<?php echo e(Request::is('staff/signal-all') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('staff-signal-all')); ?>">
                                    <span class="pcoded-micon"><i class="ti-view-list"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Manage Signal</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                        </ul>
                        <div class="pcoded-navigation-label">Manage Blog</div>
                        <ul class="pcoded-item pcoded-left-item">

                            <li class="<?php echo e(Request::is('staff/post-create') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('staff-post-create')); ?>">
                                    <span class="pcoded-micon"><i class="ti-plus"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Create Blog</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>

                            <li class="<?php echo e(Request::is('staff/post-all') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('staff-post-all')); ?>">
                                    <span class="pcoded-micon"><i class="ti-list"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Manage Blog</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                        </ul>

                        <div class="pcoded-navigation-label">Manage User</div>

                        <ul class="pcoded-item pcoded-left-item">

                            <li class="<?php echo e(Request::is('staff/user-list') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('staff-user-list')); ?>">
                                    <span class="pcoded-micon"><i class="ti-user"></i><b>D</b></span>
                                    <span class="pcoded-mtext">User List</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                        </ul>
                        <div class="pcoded-navigation-label">Manage Profile</div>
                        <ul class="pcoded-item pcoded-left-item">

                            <li class="<?php echo e(Request::is('staff/edit-profile') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('staff-edit-profile')); ?>">
                                    <span class="pcoded-micon"><i class="ti-pencil-alt"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Update Profile</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="<?php echo e(Request::is('staff/change-password') ? 'active' : ''); ?>">
                                <a href="<?php echo e(route('staff-change-password')); ?>">
                                    <span class="pcoded-micon"><i class="ti-settings"></i><b>D</b></span>
                                    <span class="pcoded-mtext">Change Password</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                            <li class="">
                                <a href="<?php echo route('staff.logout'); ?>">
                                    <span class="pcoded-micon"><i class="ti-share-alt"></i><b>D</b></span>
                                    <span class="pcoded-mtext">User Logout</span>
                                    <span class="pcoded-mcaret"></span>
                                </a>
                            </li>
                        </ul>

                    </div>
                </nav>

                <div class="pcoded-content">
                    <div class="pcoded-inner-content">
                        <div class="main-body">
                            <div class="page-wrapper">
                                <div class="page-header card">
                                    <div class="card-block">
                                        <h5 class="m-b-10"><?php echo e($page_title); ?></h5>
                                        <ul class="breadcrumb-title p-t-10">
                                            <li class="breadcrumb-item">
                                                <a href="<?php echo e(route('staff-dashboard')); ?>"> <i class="fa fa-home"></i> Dashboard </a>
                                            </li>
                                            <li class="breadcrumb-item"><a href="#"><?php echo e($page_title); ?></a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>

                                <?php if($errors->any()): ?>
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="alert alert-warning icons-alert">
                                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                <i class="icofont icofont-close-line-circled"></i>
                                            </button>
                                            <p><?php echo $error; ?></p>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>

                                <?php echo $__env->yieldContent('content'); ?>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="<?php echo e(asset('assets/admin/js/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/jquery-ui.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/popper.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/jquery.slimscroll.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/modernizr.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/css-scrollbars.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/pcoded.min.js')); ?>"></script>
<?php echo $__env->yieldContent('import_scripts'); ?>
<script src="<?php echo e(asset('assets/admin/js/vertical-layout.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/jquery.mCustomScrollbar.concat.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/script.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/toastr.js')); ?>"></script>
<script>
            <?php if(Session::has('message')): ?>
    var type = "<?php echo e(Session::get('type', 'info')); ?>";
    switch(type){
        case 'info':
            toastr.info("<?php echo e(Session::get('message')); ?>");
            break;
        case 'warning':
            toastr.warning("<?php echo e(Session::get('message')); ?>");
            break;
        case 'success':
            toastr.success("<?php echo e(Session::get('message')); ?>");
            break;
        case 'error':
            toastr.error("<?php echo e(Session::get('message')); ?>");
            break;
    }
    <?php endif; ?>
</script>

<?php echo $__env->yieldContent('scripts'); ?>

</body>

</html>
