

<?php $__env->startSection('style'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/bootstrap-tagsinput.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/select2.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/bootstrap-datetimepicker.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


    <div class="page-body">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h5><?php echo e($page_title); ?></h5>
                        <div class="card-header-right">
                            <ul class="list-unstyled card-option">
                                <li><i class="fa fa-chevron-left"></i></li>
                                <li><i class="fa fa-window-maximize full-card"></i></li>
                                <li><i class="fa fa-minus minimize-card"></i></li>
                                <li><i class="fa fa-times close-card"></i></li>
                            </ul>
                        </div>
                    </div>
                    <div class="card-block">

                            <form class="form-horizontal" method="post" enctype="multipart/form-data" action="<?php echo e(route('signal-update')); ?>">
                                <input type="hidden" name="signal_id" value="<?php echo e($signal->id); ?>">
                                <?php echo e(csrf_field()); ?>

                                <div class="form-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label class="col-sm-12 control-label"><b>Signal Title : </b></label>
                                                <div class="col-sm-12">
                                                    <input name="title" value="<?php echo e($signal->title); ?>" class="form-control input-lg" type="text" placeholder="Signal Title">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="col-sm-12 control-label"><b>Signal Plan :  All <input type="checkbox" id="checkbox" ></b></label>
                                                <div class="col-sm-12">
                                                    <select name="service_id[]" id="e1" class="form-control input-lg select2-multi" multiple="multiple" >
                                                        <?php $__currentLoopData = $plan; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <?php if(in_array($d->id,$signalPlan)): ?>
                                                                <option value="<?php echo e($d->id); ?>" style="color: #000" selected><?php echo e($d->name); ?></option>
                                                            <?php else: ?>
                                                                <option value="<?php echo e($d->id); ?>" style="color: #000"><?php echo e($d->name); ?></option>
                                                            <?php endif; ?>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                            
                                            <?php if($signal->image): ?>
                                                <div class="form-group">
                                                    <label class="col-sm-12 control-label"><b>Signal image : </b></label>
                                                    <div class="col-sm-12">
                                                        <img src="<?php echo e(asset("assets/images/signal/$signal->image")); ?>" style="max-width: 30%" alt="">
                                                    </div>
                                                </div>
                                            <?php endif; ?>

                                            <div class="form-group">
                                                <label class="col-sm-12 control-label"><b><?php echo e($signal->image ? 'Update' : 'Add'); ?> Signal image : </b></label>
                                                <div class="col-sm-12">
                                                    <input name="image" value="" class="form-control input-lg" type="file">
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="col-sm-12 control-label"><b>Signal Description :</b> </label>
                                                <div class="col-sm-12">
                                                    <textarea name="description" id="ckview" rows="10" class="form-control input-lg"><?php echo $signal->description; ?></textarea>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="col-sm-12 control-label"><b>Telegram Signal : <code>Length : 4096 UTF8 characters | HTML Not Supported</code></b> </label>
                                                <div class="col-sm-12">
                                                    <textarea name="telegram" rows="5" class="form-control input-lg" required placeholder="Telegram Signal Description"><?php echo e($signal->telegram); ?></textarea>
                                                </div>
                                            </div>

                                            


                                            <div class="form-group">
                                                <div class="col-md-12">
                                                    <button type="submit" class="btn btn-primary bg-softwarezon-x btn-lg btn-block "> <i class="fa fa-send"></i> Update Signal</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                    </div>
                </div>
            </div>
        </div>
    </div>


<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(asset('assets/admin/js/bootstrap-tagsinput.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/admin/js/select2.min.js')); ?>" type="text/javascript"></script>

    <script src="<?php echo e(asset('assets/admin/ckeditor/ckeditor.js')); ?>"></script>

    <script>
        var ckview = document.getElementById("ckview");
        CKEDITOR.replace(ckview,{
            language:'en-gb'
        });
    </script>
    <script type="text/javascript">
        $('.select2-multi').select2();

        $("#checkbox").click(function(){
            if($("#checkbox").is(':checked') ){
                $("#e1 > option").prop("selected","selected");// Select All Options
                $("#e1").trigger("change");// Trigger change to select 2
            }else{
                $("#e1 > option").removeAttr("selected");
                $("#e1").trigger("change");// Trigger change to select 2
            }
        });

    </script>
    <script>
        $(document).ready(function () {
            $(document).on("change", '#publish', function (e) {
                var type = $(this).val();
                if (type == "0"){
                    $("#schedule").addClass("hidden");  // To hide
                }else {
                    $("#schedule").removeClass("hidden");
                }
            });
        });
    </script>

    <script src="<?php echo e(asset('assets/admin/js/moment-with-locales.min.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('assets/admin/js/bootstrap-datetimepicker.min.js')); ?>" type="text/javascript"></script>
    <script>
        $('#datetimepicker4').datetimepicker({
            format: 'YYYY-MM-DD HH:mm:ss'
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>