<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


    <div class="page-body">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h5><?php echo e($page_title); ?></h5>
                        <div class="card-header-right">
                            <ul class="list-unstyled card-option">
                                <li><i class="fa fa-chevron-left"></i></li>
                                <li><i class="fa fa-window-maximize full-card"></i></li>
                                <li><i class="fa fa-minus minimize-card"></i></li>
                                <li><i class="fa fa-times close-card"></i></li>
                            </ul>
                        </div>
                    </div>
                    <div class="card-block">
                        <div class="table-responsive">

                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                <tr>
                                    <th>ID#</th>
                                    <th>Created At</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Status</th>
                                    <th>Password</th>
                                    <th>Action</th>
                                </tr>
                                </thead>

                                <tbody>
                                <?php $__currentLoopData = $staff; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e(++$k); ?></td>
                                        <td><?php echo e(\Carbon\Carbon::parse($p->created_at)->format('dS-F-Y')); ?></td>
                                        <td><?php echo e($p->name); ?></td>
                                        <td><?php echo e($p->email); ?></td>
                                        <td><?php echo e($p->country_code); ?><?php echo e($p->phone); ?></td>
                                        <td>
                                            <?php if($p->status == 1): ?>
                                                <div class="badge badge-success"><i class="fa fa-check"></i> Active</div>
                                            <?php else: ?>
                                                <div class="badge badge-danger"><i class="fa fa-times"></i> Deactive</div>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <button type="button" class="btn btn-grd-primary btn-sm bold uppercase password_button"
                                                    data-toggle="modal" data-target="#PasswordModal"
                                                    data-id="<?php echo e($p->id); ?>" title="Update Password">
                                                <i class='fa fa-key'></i> Update Password
                                            </button>
                                        </td>
                                        <td>
                                            <a href="<?php echo e(route('staff-edit',$p->id)); ?>" class="btn btn-primary btn-sm bold uppercase" title="Edit"><i class="fa fa-edit"></i> Edit</a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                        <?php echo e($staff->links('basic.pagination')); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="PasswordModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content" >
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel2"><i class="fa fa-key"></i> Update Password.!</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <form class="form form-horizontal" action="<?php echo e(route('staff-password-update')); ?>" method="post">
                        <?php echo e(csrf_field()); ?>

                        <div class="form-body">

                            <div class="form-group row">
                                <label class="col-md-3 label-control text-right" for="projectinput1"><b>New Password : </b></label>
                                <div class="col-md-8">
                                    <input type="password" id="projectinput1" class="form-control font-weight-bold" value="" placeholder="New Password" name="password" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 label-control text-right" for="projectinput1"><b>Confirm Password : </b></label>
                                <div class="col-md-8">
                                    <input type="password" id="projectinput1" class="form-control font-weight-bold" value="" placeholder="Confirm Password" name="password_confirmation" required>
                                </div>
                            </div>
                            <input type="hidden" name="id" class="password_id" value="0">
                            <div class="form-group row">
                                <div class="col-md-8 offset-3">
                                    <button type="submit" class="btn btn-primary btn-lg btn-block"><i class="fa fa-send"></i> Update Password</button>
                                </div>
                            </div>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        $(document).ready(function () {
            $(document).on("click", '.password_button', function (e) {
                var id = $(this).data('id');
                $(".password_id").val(id);
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>