<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


    <div class="page-body">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h5><?php echo e($page_title); ?></h5>
                        <div class="card-header-right">
                            <ul class="list-unstyled card-option">
                                <li><i class="fa fa-chevron-left"></i></li>
                                <li><i class="fa fa-window-maximize full-card"></i></li>
                                <li><i class="fa fa-minus minimize-card"></i></li>
                                <li><i class="fa fa-times close-card"></i></li>
                            </ul>
                        </div>
                    </div>
                    <div class="card-block">

                        <div class="table-responsive">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                <tr>
                                    <th>SL#</th>
                                    <th>Signal Date</th>
                                    <th>Title</th>
                                    <th>Result</th>
                                    <th>Rating</th>
                                    <th>Post By</th>
                                    <th>Action</th>
                                </tr>
                                </thead>

                                <tbody>
                                <?php $__currentLoopData = $signal; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($k + $signal->firstItem()); ?></td>
                                        <td><?php echo e(\Carbon\Carbon::parse($p->created_at)->format('dS M, Y h:i A')); ?></td>
                                        <td><?php echo e($p->title); ?></td>
                                        <?php
                                            $total_signal = \App\SignalRating::whereSignal_id($p->id)->count();
                                            $sum_signal = \App\SignalRating::whereSignal_id($p->id)->sum('rating');
                                            if ($total_signal == 0){
                                                $final_rating = 0;
                                            }else{
                                                $final_rating = round($sum_signal / $total_signal);
                                            }
                                        ?>
                                        <td>
                                            <?php if($p->status == 0): ?>
                                                <div class="badge badge-warning">
                                                    <i class='fa fa-spinner'></i> Pending
                                                </div>
                                            <?php elseif($p->status == 1): ?>
                                                <div class="badge badge-success">
                                                    <i class='fa fa-check'></i> Profit
                                                </div>
                                            <?php else: ?>
                                                <div class="badge badge-danger">
                                                    <i class='fa fa-times'></i> Loss
                                                </div>
                                            <?php endif; ?>
                                        </td>
                                        <td><?php echo \App\TraitsFolder\CommonTrait::getRating($final_rating); ?> - (<?php echo e($total_signal); ?>)</td>
                                        <td>
                                            <?php if($p->post_by == 0): ?>
                                                <div class="badge badge-success">
                                                    <i class="fa fa-check font-medium-2"></i>
                                                    <span>Admin</span>
                                                </div>
                                            <?php else: ?>
                                                <div class="badge badge-primary">
                                                    <i class="fa fa-check font-medium-2"></i>
                                                    <span>Staff</span>
                                                </div>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <button type="button" class="btn btn-info btn-sm bold uppercase status_button"
                                                    data-toggle="modal" data-target="#StatusModal"
                                                    data-id="<?php echo e($p->id); ?>" data-status="<?php echo e($p->status); ?>" title="Update Status">
                                                <i class='fa fa-send'></i> Result
                                            </button>
                                            <a href="<?php echo e(route('signal-view',$p->id)); ?>" class="btn btn-primary btn-sm bold uppercase" title="Edit"><i class="fa fa-eye"></i> View</a>
                                            <a href="<?php echo e(route('signal-edit',$p->id)); ?>" class="btn btn-warning btn-sm bold uppercase" title="Edit"><i class="fa fa-edit"></i> Edit</a>
                                            <button type="button" class="btn btn-danger btn-sm bold uppercase delete_button"
                                                    data-toggle="modal" data-target="#DelModal"
                                                    data-id="<?php echo e($p->id); ?>" title="Delete">
                                                <i class='fa fa-trash'></i> Delete
                                            </button>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                            <?php echo e($signal->links('basic.pagination')); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="StatusModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content" >
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel2"><i class='fa fa-exclamation-triangle'></i> Update Result !</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">

                    <form class="form-horizontal" method="post" action="<?php echo e(route('signal-result-update')); ?>">
                        <?php echo e(csrf_field()); ?>

                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="col-sm-12 control-label"><b>Signal Result : </b></label>
                                        <div class="col-sm-12">
                                            <select class="form-control input-lg font-weight-bold text-uppercase" id="status" name="status" required>
                                                <option value="0" class="font-weight-bold text-uppercase">Pending</option>
                                                <option value="1" class="font-weight-bold text-uppercase">Profit</option>
                                                <option value="2" class="font-weight-bold text-uppercase">Loss</option>
                                            </select>
                                        </div>
                                    </div>
                                    <input type="hidden" name="id" class="status_id" value="0">
                                    <div class="form-group">
                                        <div class="col-md-12">
                                            <button type="submit" class="btn btn-primary bg-softwarezon-x btn-block "> <i class="fa fa-send"></i> Update Result</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="DelModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content" >
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel2"><i class='fa fa-trash'></i> Delete !</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>


                <div class="modal-body">
                    <strong>Are you sure you want to Delete ?</strong>
                </div>

                <div class="modal-footer">
                    <form method="post" action="<?php echo e(route('signal-delete')); ?>" class="form-inline">
                        <?php echo csrf_field(); ?>

                        <?php echo e(method_field('DELETE')); ?>

                        <input type="hidden" name="id" class="delete_id" value="0">
                        <button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-times"></i> Close</button>&nbsp;&nbsp;
                        <button type="submit" class="btn btn-danger"><i class="fa fa-trash"></i> DELETE</button>
                    </form>
                </div>

            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        $(document).ready(function () {
            $(document).on("click", '.delete_button', function (e) {
                var id = $(this).data('id');
                $(".delete_id").val(id);
            });
            $(document).on("click", '.status_button', function (e) {
                var id = $(this).data('id');
                var sta = $(this).data('status');
                $("#status").val(sta);
                $(".status_id").val(id);
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>