<?php $__env->startSection('content'); ?>

    <div class="expert-section gray-bg breadcrumb-area" style="background: url('<?php echo e(asset('assets/images')); ?>/<?php echo e($basic->breadcrumb); ?>');">
        <div class="container">
            <div class="row">
                <div class="col-sm-6 col-xs-12">
                    <h3 class="breadcrumb-title"><?php echo e($page_title); ?></h3>
                    <div class="breadcrumb-wrap">
                        <ul class="breadcrumb-list">
                            <li><a href="<?php echo e(route('home')); ?>">Home </a></li>
                            <li><a href="#"><?php echo e($page_title); ?> </a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="expert-section gray-bg">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-md-offset-3 col-sm-12">
                    <div class="area-heading text-center">
                        <h2 class="area-title">Register Here</h2>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6 col-md-offset-3 col-sm-12">
                    <form class="m-t-20" action="<?php echo e(route('register')); ?>" autocomplete="off" method="post" data-aos="fade-up" data-aos-duration="1200">
                        <?php echo csrf_field(); ?>



                        <div class="row">
                            <div class="col-lg-12">
                                <?php if(session()->has('message')): ?>
                                    <div class="alert alert-warning alert-dismissable">
                                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                        <?php echo e(session()->get('message')); ?>

                                    </div>
                                <?php endif; ?>
                                <?php if($errors->any()): ?>
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <div class="alert alert-danger alert-dismissable">
                                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                            <?php echo $error; ?>

                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <input class="form-control" name="name" type="text" placeholder="Full Name" autocomplete="false" required>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <input class="form-control" name="username" type="text" placeholder="User Name" autocomplete="false" required>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <input class="form-control" name="email" type="email" placeholder="Email address" required>
                                </div>
                            </div>
                            <div class="col-lg-5">
                                <div class="form-group">
                                    <select name="country_code" id="country_code" class="form-control input-lg" required>
                                        <option value="">Country Code</option>
                                        <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($cn['dial_code']); ?>"><?php echo e($cn['name']); ?> (<?php echo e($cn['dial_code']); ?>)</option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-lg-7">
                                <div class="form-group">
                                    <input class="form-control" name="phone" type="text" placeholder="Phone Number" required>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <select name="plan_id" id="plan_id" class="form-control input-lg" required data-error="Select One Subscription Plan" style="line-height: 30px!important;">
                                        <option value="">Select Plan</option>
                                        <?php $__currentLoopData = $plan; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($p->id); ?>"><?php echo e($p->name); ?> - <?php if($p->price_type == 0): ?> FREE <?php else: ?> <?php echo e($p->price); ?> <?php echo e($basic->currency); ?><?php endif; ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <input class="form-control" name="password" type="password" placeholder="Password" autocomplete="rrr" required>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <input class="form-control" name="password_confirmation" type="password" placeholder="Confirm password" required>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <label class="custom-control custom-checkbox mb-2 mr-sm-2 mb-sm-0">
                                        <input type="checkbox" class="custom-control-input" required>
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">I agree to <a href="<?php echo e(route('terms-condition')); ?>" target="_blank" class="link">terms and conditions</a> and <a href="<?php echo e(route('privacy-policy')); ?>" target="_blank" class="link">privacy and policy</a></span>
                                    </label>
                                </div>
                            </div>
                            <?php if($basic->captcha_status == 1): ?>
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <?php echo Captcha::display(); ?>

                                    </div>
                                </div>
                            <?php endif; ?>
                            <input type="hidden" name="referral" value="<?php echo e($referral); ?>">
                            <div class="col-lg-12" style="margin-top: 20px;">
                                <button type="submit" class="btn btn-lg btn-block btn-primary btn-arrow"><span> Create Account <i class="ti-arrow-right"></i></span></button>
                                <!--  -->
                            </div>
                        </div>
                    </form>
                    <div class="row">
                        <div class="col-lg-12 text-center m-t-30">
                            <div class="have-ac ml-auto align-self-center">Already have an account? <a href="<?php echo e(route('login')); ?>" class="text-danger">Sign In</a></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>




<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.frontEnd', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>