<?php $__env->startSection('content'); ?>

    <div class="expert-section gray-bg breadcrumb-area" style="background: url('<?php echo e(asset('assets/images')); ?>/<?php echo e($basic->breadcrumb); ?>');">
        <div class="container">
            <div class="row">
                <div class="col-sm-6 col-xs-12">
                    <h3 class="breadcrumb-title"><?php echo e($page_title); ?></h3>
                    <div class="breadcrumb-wrap">
                        <ul class="breadcrumb-list">
                            <li><a href="<?php echo e(route('home')); ?>">Home </a></li>
                            <li><a href="#"><?php echo e($page_title); ?> </a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <div class="expert-section gray-bg">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-md-offset-3 col-sm-12">
                    <div class="area-heading text-center">
                        <h2 class="area-title">Log In Here</h2>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6 col-md-offset-3 col-sm-12">

                    <form class="m-t-20" action="<?php echo e(route('login')); ?>" autocomplete="off" method="post" data-aos="fade-up" data-aos-duration="1200">
                        <?php echo csrf_field(); ?>

                        <div class="row">
                            <div class="col-lg-12">
                                <?php if(session()->has('message')): ?>
                                    <div class="alert alert-warning alert-dismissable">
                                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                        <?php echo e(session()->get('message')); ?>

                                    </div>
                                <?php endif; ?>
                                <?php if($errors->any()): ?>
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="alert alert-danger alert-dismissable">
                                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                            <?php echo $error; ?>

                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <input class="form-control" name="email" type="email" placeholder="Email address" required>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <input class="form-control" name="password" type="password" placeholder="Password" autocomplete="rrr" required>
                                </div>
                            </div>

                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="custom-control custom-checkbox mb-2 mr-sm-2 mb-sm-0">
                                        <input type="checkbox" class="custom-control-input" id="remember-me" <?php echo e(old('remember') ? 'checked' : ''); ?>>
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">Remember Me</span>
                                    </label>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group text-right">
                                    <a href="<?php echo e(route('password.request')); ?>" class="card-link">Forgot Password?</a>
                                </div>
                            </div>

                            <?php if($basic->captcha_status == 1): ?>
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <?php echo Captcha::display(); ?>

                                    </div>
                                </div>
                            <?php endif; ?>
                            <div class="col-lg-12" style="margin-top: 20px;">
                                <button type="submit" class="btn btn-block btn-lg btn-primary"><span> LogIn Now <i class="ti-arrow-right"></i></span></button>
                                <!--  -->
                            </div>
                        </div>
                    </form>
                    <div class="row">
                        <div class="col-lg-12 text-center m-t-30">
                            <div class="have-ac ml-auto align-self-center">Create an account? <a href="<?php echo e(route('register')); ?>" class="text-danger">Register</a></div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.frontEnd', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>