<!DOCTYPE html>
<html class="no-js" lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php echo e($site_title); ?> | <?php echo e($page_title); ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if($meta == 1): ?>
        <meta property="og:title" content="<?php echo e($basic->title); ?>">
        <meta name="description" content="<?php echo e($basic->description); ?>">
        <meta name="keyword" content="<?php echo e($basic->meta_tag); ?>">
        <meta name="author" content="<?php echo e($basic->author); ?>">
        <meta property="og:description" content="<?php echo e($basic->description); ?>" />
        <meta property="og:image" content="<?php echo e(asset('assets/images/logo.png')); ?>" />
    <?php else: ?>
        <?php echo $__env->yieldContent('meta'); ?>
    <?php endif; ?>
    <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,700,800" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/elements.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/responsive.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/color.php')); ?>?color=<?php echo e($basic->color); ?>">
    <script src="<?php echo e(asset('assets/js/modernizr-2.8.3.min.js')); ?>"></script>
</head>

<body>
<!-- expert loader start -->
<div id="expert-loader">
    <div class="loader-wrapper">
        <div class="loader-content">
            <div class="loader-dot dot-four"></div>
            <div class="loader-dot dot-three"></div>
            <div class="loader-dot dot-two"></div>
            <div class="loader-dot dot-one"></div>
        </div>
    </div>
</div>
<!-- expert loader End -->
<!-- Main wrapper start -->
<div class="wrapper">
    <!-- Header area start -->
    <header class="header-area">
        <div class="header-top-area header-top-2">
            <div class="container">
                <div class="row">
                    <div class="col-sm-8 col-md-8">
                        <div class="header-top-left">
                            <ul class="email-phone">
                                <li><a href="#"><i class="fa fa-envelope"></i> Email: <span class="text-bold"><?php echo e($basic->email); ?></span></a></li>
                                <li><a href="#"><i class="fa fa-phone"></i> Call us: <span class="text-bold"><?php echo e($basic->phone); ?></span></a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-sm-4 col-md-4">
                        <div class="header-top-right">
                            <?php if(Auth::check()): ?>
                                <ul class="user-area">
                                    <li><a href="<?php echo e(route('user-dashboard')); ?>"><i class="fa fa-user user-icon" style="margin-right: 5px;!important;"></i>Hi. <?php echo e(Auth::user()->name); ?></a></li>
                                </ul>
                            <?php else: ?>
                                <ul class="user-area">
                                    <li><a href="<?php echo e(route('login')); ?>"><i class="fa fa-sign-in user-icon"></i>Login</a></li>
                                    <li><a href="<?php echo e(route('register')); ?>"><i class="fa fa-user-plus user-icon"></i>Sign Up</a></li>
                                </ul>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="main-header-area sticky-header">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-md-2 col-sm-6 col-xs-7">
                        <div class="logo-wrapper">
                            <a class="logo" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('assets/images/logo.png')); ?>" alt=""></a>
                        </div>
                    </div>
                    <div class="col-lg-7 col-md-8 hidden-xs hidden-sm">
                        <nav class="expert-menu">
                            <ul class="main-menu">
                                <li><a href="<?php echo e(route('home')); ?>">Home</a></li>
                                <li><a href="<?php echo e(route('about-us')); ?>">About Us</a></li>
                                <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $m): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e(url('menu')); ?>/<?php echo e($m->id); ?>/<?php echo e(urldecode(strtolower(str_slug($m->name)))); ?>"><?php echo e($m->name); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(route('blog')); ?>">blog<i class="fa fa-caret-down"></i></a>
                                    <ul>
                                        <?php $__currentLoopData = $category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><a href="<?php echo e(route('category-blog',$cat->slug)); ?>"><i class="fa fa-caret-right"></i> <?php echo e($cat->name); ?></a></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </li>
                            </ul>
                        </nav>
                    </div>
                    <div class="col-lg-2 col-md-2 hidden-sm hidden-xs">
                        <div class="header-btn">
                            <a href="<?php echo e(route('contact-us')); ?>" class="button">Contact Us</a>
                        </div>
                    </div>
                    <!-- Mobile menu area start -->
                    <div class="mobile-menu-area clearfix hidden-md">
                        <nav class="mobile-menu">
                            <ul class="mobile-menu-nav">
                                <li><a href="<?php echo e(route('home')); ?>">Home</a></li>
                                <li><a href="<?php echo e(route('about-us')); ?>">About Us</a></li>
                                <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $m): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e(url('menu')); ?>/<?php echo e($m->id); ?>/<?php echo e(urldecode(strtolower(str_slug($m->name)))); ?>"><?php echo e($m->name); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(route('blog')); ?>">Blog</a>
                                    <ul>
                                        <?php $__currentLoopData = $category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><a href="<?php echo e(route('category-blog',$cat->slug)); ?>"><?php echo e($cat->name); ?></a></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </li>
                                <li><a href="<?php echo e(route('contact-us')); ?>">contact</a></li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <?php echo $__env->yieldContent('slider'); ?>
    <section class="content">

        <?php echo $__env->yieldContent('content'); ?>

    </section>
    <footer class="footer-section">
        <div class="footer-top-area">
            <div class="container">
                <div class="row">
                    <div class="col-md-3 col-sm-6">
                        <div class="footer-about-info-area footer-top-content">
                            <div class="footer-widget-heading">
                                <a class="logo" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('assets/images/logo.png')); ?>" alt=""></a>
                            </div>
                            <div class="footer-widget-content">
                                <p><?php echo e($basic->footer_text); ?></p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="footer-top-content">
                            <div class="footer-widget-heading">
                                <h3>Popular Category</h3>
                            </div>
                            <div class="footer-widget-content">
                                <ul class="links">
                                    <?php $__currentLoopData = $footer_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li>
                                        <i class="fa fa-angle-right"></i>
                                        <a href="<?php echo e(route('category-blog',$fc->slug)); ?>"><?php echo e($fc->name); ?></a>
                                    </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="footer-top-content">
                            <div class="footer-widget-heading">
                                <h3>Popular Blog</h3>
                            </div>
                            <div class="footer-widget-content">
                                <ul class="links">
                                    <?php $__currentLoopData = $footer_blog; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fb): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li>
                                            <i class="fa fa-angle-right"></i>
                                            <a href="<?php echo e(route('blog-details',$fb->slug)); ?>"><?php echo e(substr($fb->title,0,25)); ?><?php echo e(strlen($fb->title) > 25 ? '...' : ''); ?></a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="footer-contact-info-area footer-top-content">
                            <div class="footer-widget-heading">
                                <h3>contact Details</h3>
                            </div>
                            <div class="footer-widget-content">
                                <ul class="footer-conatct-menu">
                                    <li>
                                        <a><i class="fa fa-envelope"></i><span>Email :</span> <?php echo e($basic->email); ?></a>
                                    </li>
                                    <li>
                                        <a><i class="fa fa-phone"></i> <span>Phone : </span> <?php echo e($basic->phone); ?></a>
                                    </li>
                                    <li>
                                        <a><i class="fa fa-map-o"></i><span>Address :</span><?php echo e($basic->address); ?></a>
                                    </li>
                                </ul>
                                <ul class="footer-social-menu list-inline">
                                    <?php $__currentLoopData = $social; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $s): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e($s->link); ?>" target="_blank"><?php echo $s->code; ?></a></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="footer-bottom-area">
            <div class="container">
                <div class="row">
                    <div class="col-md-6 col-sm-12">
                        <div class="footer-copyright-info">
                            <p><?php echo $basic->copy_text; ?></p>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-12">
                        <div class="footer-bottom-menu">
                            <ul class="footer-main-menu">
                                <li>
                                    <a href="<?php echo e(route('home')); ?>">home</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('about-us')); ?>">about</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('terms-condition')); ?>">terms & Condition</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('privacy-policy')); ?>">Privacy policy</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('contact-us')); ?>">contact</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
</div>
<script src="<?php echo e(asset('assets/js/jquery-1.12.4.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/plugins.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/scripts.js')); ?>"></script>
<?php echo $basic->chat; ?>

<?php echo $basic->google_analytic; ?>

</body>

</html>